create table indicadores_dif(
	id_year_pk  year unique  not null, 
	descripcion text null,
	cero int not null DEFAULT 0,
	uno int not null DEFAULT 0,
	dos int not null DEFAULT 0,
	tres int not null DEFAULT 0,
	cuatro int not null DEFAULT 0,
	cinco int not null DEFAULT 0,
	sesis int not null DEFAULT 0,
	siete int not null DEFAULT 0,
	ocho int not null DEFAULT 0,
	nueve int not null DEFAULT 0,
	diez int not null DEFAULT 0,
	once int not null DEFAULT 0,
	doce int not null DEFAULT 0,
	trece int not null DEFAULT 0,
	catorce int not null DEFAULT 0,
	quince int not null DEFAULT 0,
	diesiseis int not null DEFAULT 0,
	total int not null DEFAULT 0,
    primary key(id_year_pk)

);

create table sol_vida_dif(
	id_year_pk  year unique  not null, 
	reintegraciones int not null DEFAULT 0,
	traslados int not null DEFAULT 0,
	adopciones int not null DEFAULT 0,
    primary key(id_year_pk)

);


create table tipo_almacen(
	id_tipo_almacen_pk  int not null auto_increment, 
	almacen varchar(250) not null, primary key(id_tipo_almacen_pk)) ENGINE=InnoDB;

INSERT INTO tipo_almacen (almacen) VALUES ('Limpieza y Desechables'), ('Alimentos'), ('Varios');

ALTER TABLE productos  ADD COLUMN id_tipo_alma_fk INT NULL;

ALTER TABLE productos ADD FOREIGN KEY (id_tipo_alma_fk) REFERENCES tipo_almacen(id_tipo_almacen_pk);