<?php
	error_reporting(0);
	include("conexion.php");
	include('phpScripts.php');
	$con=conectar();
	$fecha = date("d-m-Y");
	$hora = date("H:i:s",time());
	require_once 'includes/PHPExcel.php';
	$tituloReporte = "Bajas de Inventario";
	$tituloMain = "BAJAS DE INVENTARIO";
	$objPHPExcel = new PHPExcel();
	$objPHPExcel->getProperties()
		->setCreator("3DEMAK")
		->setLastModifiedBy("3DEMAK")
		->setTitle($tituloMain)
		->setSubject($tituloMain)
		->setDescription($tituloReporte)
		->setKeywords($tituloReporte)
		->setCategory("Reporte Excel");	
	$logo = imagecreatefromjpeg('../images/logo.jpg');	
	$objDrawing = new PHPExcel_Worksheet_MemoryDrawing();
	$objDrawing->setName('Sample image');
	$objDrawing->setDescription('Sample image');
	$objDrawing->setImageResource($logo);
	$objDrawing->setRenderingFunction(PHPExcel_Worksheet_MemoryDrawing::RENDERING_JPEG);
	$objDrawing->setMimeType(PHPExcel_Worksheet_MemoryDrawing::MIMETYPE_DEFAULT);
	$objDrawing->setHeight(40);
	$objDrawing->setCoordinates('A1');
	$objDrawing->setWorksheet($objPHPExcel->getActiveSheet());	
	$titulosColumnas = array('Fecha','Solicitante', 'Producto', 'U/M', 'Casa', 'Ubicación', 'Motivo', 'Cantidad', 'Estatus');
	$objPHPExcel->setActiveSheetIndex(0)
    	->mergeCells('C1:E1');
	$objPHPExcel->setActiveSheetIndex(0)
    	->mergeCells('C2:E2');
	$objPHPExcel->setActiveSheetIndex(0)
		->setCellValue('C1',$fecha)
		->setCellValue('C2',$tituloReporte)
		->setCellValue('A4',  $titulosColumnas[0])
		->setCellValue('B4',  $titulosColumnas[1])
		->setCellValue('C4',  $titulosColumnas[2])
		->setCellValue('D4',  $titulosColumnas[3])
		->setCellValue('E4',  $titulosColumnas[4])
		->setCellValue('F4',  $titulosColumnas[5])
		->setCellValue('G4',  $titulosColumnas[6])
		->setCellValue('H4',  $titulosColumnas[7])
		->setCellValue('I4',  $titulosColumnas[8]);

	$i = 5;
	if(isset($_GET['id_usuario'])){ $id_usuario=$_GET['id_usuario']; }
	include('querys.php');
	$sql=consulta_reg_while($con,$qBaja." ORDER BY b.fecha_solicitud DESC");
	while($r = mysqli_fetch_array($sql)){
		$ubi=($r['ubicacion']!='')?$r['ubicacion']:'--';
		$fecha=getFechaTexto2($r['fecha_solicitud']);
		//celdas
		$objPHPExcel->setActiveSheetIndex(0)
			->setCellValue('A'.$i, "$fecha")
			->setCellValue('B'.$i, "$r[solicitante]")
			->setCellValue('C'.$i, "$r[producto]")
			->setCellValue('D'.$i, "$r[unidad]")
			->setCellValue('E'.$i, "$r[casa]")
			->setCellValue('F'.$i, "$ubi")
			->setCellValue('G'.$i, "$r[motivo]")
			->setCellValue('H'.$i, "$r[cantidad]")
			->setCellValue('I'.$i, "$r[estatus]");
		$i++;
	}
	
	$i--;
	include('excelStyles.php');
	$objPHPExcel->getActiveSheet()->getStyle('C1')->applyFromArray($estiloSubtituloReporte2);
	$objPHPExcel->getActiveSheet()->getStyle('C2')->applyFromArray($estiloTituloReporte);
	$objPHPExcel->getActiveSheet()->getStyle('A4:I4')->applyFromArray($estiloTituloColumnas);
	$objPHPExcel->getActiveSheet()->setSharedStyle($lightCenter, "A5:A$i");
	$objPHPExcel->getActiveSheet()->setSharedStyle($lightLeft, "B5:H$i");
	$objPHPExcel->getActiveSheet()->setSharedStyle($lightCenter, "D5:E$i");
	$objPHPExcel->getActiveSheet()->setSharedStyle($lightCenter, "G5:I$i");
	$objPHPExcel->getActiveSheet()->setSharedStyle($lightRight, "H5:H$i");
	for($i = 'A'; $i <= 'I'; $i++){
    	$objPHPExcel->setActiveSheetIndex(0)->getColumnDimension($i)->setAutoSize(TRUE);
	}
	$objPHPExcel->getActiveSheet()->setTitle($tituloReporte);
	$objPHPExcel->setActiveSheetIndex(0);
	$objPHPExcel->getActiveSheet(0)->freezePaneByColumnAndRow(0,5);
	header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
	header('Content-Disposition: attachment;filename="bajas_inventario_'.$fecha.'.xlsx"');
	header('Cache-Control: max-age=0');	 
	$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
	$objWriter->save('php://output');
	exit;
?>