<?php
error_reporting(0);

include("conexion.php");
include('phpScripts.php');
$con = conectar();
$fecha = date("d-m-Y");
$hora = date("H:i:s", time());


/*CABECERA PARA DESCARGAR EL EXCEL, SI SE DESACTIVA SE MOSTRARA EN EL NAVEGADOR, ACTIVADO DESCARGA EXCEL*/
header('Content-type: application/vnd.ms-excel;charset=iso-8859-15;');
header('Content-Disposition: attachment; filename=reporte_ Expedientes Egresados' . $fecha . '.xls');
/*FIN DE CABECERA */



/*  SE REALIZA LA CONSULTA A LA BASE DE DATOS*/
$consulta = "SELECT DISTINCT b.*, b.nombre AS beneficiario_name, b.id AS id_beneficiario, e.nombre AS estatus, c.nombre AS casa_name, edo.nombre AS edo_name, eg.fecha_egreso, eg.tipo_egreso FROM beneficiarios b, estatus e, casas c, estados edo, egresos eg, usuarios u, usuarios_casas uc WHERE b.id_estatus=e.id AND b.id_casa=c.id AND b.id_estado_nac=edo.id AND b.id=eg.id_beneficiario AND b.id_estatus='4' AND u.id='1' AND uc.id_casa=b.id_casa AND uc.id_usuario=u.id ORDER BY id_estatus DESC, ap_paterno, ap_materno, beneficiario_name";
$sql = mysqli_query($con, $consulta);
/*  FIN DE CONSULTA */



/* COLUMNAS DEL EXCEL  */

echo	utf8_decode("<table class='table'  border='1' cellpadding='2' cellspacing='0' width='100%'>
			<caption>
                <span style='color: #00add8; font-weight: bold;'>Reporte  Expedientes Egresados<br>
				Fecha:</span><span style='color: #000;'>&nbsp;&nbsp;$fecha</span><br><br>
				
			</caption>

			<tr style='background-color: #00add8; color:#fff;'>
			<th>Apellido Paterno</th>
			<th>Apellido Materno</th>
			<th>Nombre(s)</th>
			<th>Casa</th>
			<th>Fecha Egreso</th>
			<th>Tipo Egreso</th>
			</tr>");

foreach($sql as $reg){
	echo "<tr>";
	echo "<td>$reg[ap_paterno]</td>";
	echo "<td>$reg[ap_materno]</td>";
	echo "<td>$reg[beneficiario_name]</td>";
	echo "<td>$reg[casa_name]</td>";
	echo "<td class='tCen-table'>".getFechaTexto2($reg['fecha_egreso'])."</td>";
	echo "<td class='tCen-table'>$reg[tipo_egreso]</td></tr>";
}


echo	"</table>";
/* fin ciclo*/

