<?php
error_reporting(0);
include("conexion.php");
include('phpScripts.php');
$con = conectar();
$fecha = date("d-m-Y");
$hora = date("H:i:s", time());


/*CABECERA PARA DESCARGAR EL EXCEL, SI SE DESACTIVA SE MOSTRARA EN EL NAVEGADOR, ACTIVADO DESCARGA EXCEL*/
header('Content-type: application/vnd.ms-excel;charset=iso-8859-15;');
header('Content-Disposition: attachment; filename=reporte_psicologia_portage' . $fecha . '.xls');
/*FIN DE CABECERA */



/*  SE REALIZA LA CONSULTA A LA BASE DE DATOS*/
$consulta = "SELECT TIMESTAMPDIFF(YEAR,b.fecha_nac, CURDATE()) as Edad, 
		b.id as id_unico,b.nombre as nombre_ben, b.*, s.*,c.*, c.nombre as nombre_casa, v.*,v.id AS id_val, v.id_estatus AS id_estatus_val, uno.*, dos.*, tres.*, cuatro.*
	 	FROM beneficiarios b 
		INNER JOIN estatus s ON s.id=b.id_estatus and s.id!=4 and TIMESTAMPDIFF(YEAR,b.fecha_nac, CURDATE())>=0 and TIMESTAMPDIFF(YEAR,b.fecha_nac, CURDATE())<=5 
		LEFT JOIN casas c ON c.id=b.id_casa
		LEFT JOIN valoraciones v ON b.id=v.id_beneficiario
		LEFT JOIN encuesta_valoracion1 uno ON uno.id_valoracion=v.id
		LEFT JOIN encuesta_valoracion2 dos ON dos.id_valoracion=v.id 
		LEFT JOIN encuesta_valoracion3 tres ON v.id=tres.id_valoracion 
		LEFT JOIN encuesta_valoracion4 cuatro ON v.id=cuatro.id_valoracion  ORDER BY b.id";
$sql = mysqli_query($con, $consulta);
/*  FIN DE CONSULTA */



/* COLUMNAS DEL EXCEL  */

echo	utf8_decode("<table border='1' cellpadding='2' cellspacing='0' width='100%'>
			<caption>
				<span style='color: #00add8; font-weight: bold;'>Guia PORTAGE<br>
				Fecha:</span><span style='color: #000;'>&nbsp;&nbsp;$fecha</span><br><br>
			</caption>

			<tr style='background-color: #00add8; color:#fff;'>
				<th>Nombre</th>
				<th>Casa</th>
				<th>Fecha nacimiento</th>
				<th>Edad</th>
				<th>Fecha de ingreso</th>
				<th>Tiempo de estancia</th>
				<th>Fecha ultima evaluación</th>
				<th>Edad ultima evaluación</th>
				<th>Esperando</th>
				<th>Lenguaje</th>
				<th>Cognición</th>
				<th>Desarrollo motor</th>
				<th>Socialización</th>
				<th>Autoayuda</th>
				<th>General</th>
				<th>Observaciones</th>
			</tr>");


/* FIN DE COLUMNAS */

/* CICLO PARA RECORRER EL ARRAY Y HACER LAS OPERACIONES CORRESPONDIENTES */
$registro_anterior = array();
$push_registro = false;
$pe_anterior;
$id_temporal;
if ($sql->num_rows == 1) {
	portage($reg, $pe);
} else {
	while ($reg = mysqli_fetch_array($sql)) {
		$pe = '';
		$pe = $reg['porcentaje_esperado'];
		//			echo '<br>id:'.$reg['id_unico'].' valor:'.$reg['id_grupo_valoraciones'].' fecha: '.$reg['fecha_valoracion'].' Nombre:'.$reg['nombre_ben'].' <br>';
		$q_pt = "SELECT id, id_estatus_gen, id_estatus FROM planes_trabajo WHERE id_valoracion='$reg[id_val]'";
		$npt = consulta_rows($con, $q_pt);
		if (count($registro_anterior) == null) {
			$registro_anterior = $reg;
			$id_temporal = $reg['id_unico'];
			$pe_anterior = $pe;
		} else {
			if ($reg['id_unico'] != $id_temporal) {
				portage($registro_anterior, $pe_anterior);
				$push_registro = true;
			} else {
				$push_registro = false;
			}
			$registro_anterior = $reg;
			$id_temporal = $reg['id_unico'];
			$pe_anterior = $pe;
		}
	}
	if ($push_registro == false) {
		portage($registro_anterior, $pe_anterior);
	}
}

echo	"</table>";
/* FIN CICLO */
function portage($reg, $pe)
{

	if ($reg['id_grupo_valoraciones'] == 2 || $reg['id_grupo_valoraciones'] == 3 || $reg['id_grupo_valoraciones'] == 4 || $reg['id_grupo_valoraciones'] == 5 || $reg['id_grupo_valoraciones'] == 6 || $reg['id_grupo_valoraciones'] == 7) {
		echo utf8_decode("
		<tr style='background-color: #eee;'>
			<td>&nbsp;$reg[nombre_ben] $reg[ap_paterno] $reg[ap_materno]</td>
			<td>$reg[nombre_casa]</td>
			<td>".$reg['fecha_nac']."</td>
			<td style='text-align:center;'>".$reg['Edad']."</td>
			<td>".getFechaTexto2($reg[26])."</td>
			<td>".getTiempoEstancia($reg[26])."</td>
			<td>".$reg['fecha_valoracion']."</td>
			<td>".getEdadUltimaEvaluacion($reg['fecha_valoracion'], $reg['fecha_nac'])."</td>
			<td>".$pe."</td>");
			echo  utf8_decode("<td bgcolor='".getBGExcel('D',$reg['lenguaje_resultado'],$pe)."'>".$reg['lenguaje_resultado']."</td>
			<td bgcolor='".getBGExcel('D',$reg['cognicion_resultado'],$pe)."'>".$reg['cognicion_resultado']."</td>
			<td bgcolor='".getBGExcel('D',$reg['desarrollo_motor_resultado'],$pe)."'>".$reg['desarrollo_motor_resultado']."</td>
			<td bgcolor='".getBGExcel('D',$reg['socializacion_resultado'],$pe)."'>".$reg['socializacion_resultado']."</td>
			<td bgcolor='".getBGExcel('D',$reg['autoayuda_resultado'],$pe)."'>".$reg['autoayuda_resultado']."</td>
			<td bgcolor='".getBGExcel('D',$reg['promedio_general'],$pe)."'>".$reg['promedio_general']."</td>
			<td>".$reg['observaciones']."</td>");	
			echo  utf8_decode("</tr>");
	}
}

