<style>
    .centrado_tabla_dif {
        text-align: center;
        vertical-align: middle;
    }

    .centrado_year_n {
        text-align: center;
        vertical-align: middle;
    }

    .centrado_dif_n_color {
        background-color: yellow;
    }
</style>



<?php if(isset($_GET['excel_si'])){



echo '<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<!-- Bootstrap CSS -->
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
</head>
';
}

?>

<?php if (isset($resultado)) : ?>
    <div class="table-responsive">
        <table class="table  table-bordered table-hover">
            <thead>
                <tr>
                    <th scope="col">Año</th>
                    <?php foreach ($resultado[0] as $dato) : ?>
                        <th scope="col"><?= $dato ?></th>
                    <?php endforeach ?>
                </tr>
            </thead>

            <tbody>
                <tr>
                    <th scope="row">Poblacion total LAN</th>
                    <?php for ($j = 0; $j < count($resultado[1]); $j++) : ?>
                        <td><?= $resultado[1][$j][3] ?></td>
                    <?php endfor ?>


                </tr>



                <tr>
                    <th scope="row">Poblacion total DIF</th>
                    <?php for ($j = 0; $j < count($dif); $j++) : ?>
                        <td>
                            <?php if ($dif[$j] == NULL) : ?>
                                0
                            <?php else : ?>
                                <?= $dif[$j]['total'] ?>
                            <?php endif ?>
                        </td>
                    <?php endfor ?>
                </tr>


                <tr>
                    <th scope="row">EDAD PROMEDIO LAN</th>
                    <?php $total_lan_promedio = 0; ?>
                    <?php foreach ($resultado[1] as $dato) : ?>
                        <?php $total_lan_promedio = 0; ?>
                        <?php for ($i = 0; $i <= 16; $i++) : ?>

                            <?php

                            if ($i == 0) {
                                $total_lan_promedio = $total_lan_promedio + ($dato[0]["e" . $i]);
                            } else {
                                $total_lan_promedio = $total_lan_promedio + ($dato[0]["e" . $i] * $i);
                            }
                            ?>

                        <?php endfor ?>

                        <?php
                        $total_lan_promedio = number_format($total_lan_promedio / $dato[4], 2);
                        if ($total_lan_promedio == 0) {
                            $total_lan_promedio = 0.00;
                        }
                        ?>

                        <th scope="col"><?= $total_lan_promedio ?></th>
                    <?php endforeach ?>


                </tr>

            </tbody>
        </table>

        <br>

        <table class="table  table-bordered table-hover">
            <thead>
                <tr>
                    <th scope="col">Edad</th>
                    <?php foreach ($resultado[0] as $dato) : ?>
                        <th colspan="5" class="centrado_year_n" scope="col">Año <?= $dato ?></th>
                    <?php endforeach ?>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <?php $estado_rango = 0; ?>
                    <?php foreach ($resultado[0] as $dato) : ?>

                        <?php if ($estado_rango == 0) : ?>
                            <th rowspan="2" scope="col">RANGO DE EDAD</th>
                            <?php $estado_rango = 1 ?>
                        <?php endif ?>

                        <td colspan="2">POBLACIÓN LAN </td>
                        <td colspan="2" class="centrado_dif_n_color">POBLACIÓN DIF </td>
                        <td rowspan="2" scope="col" class="centrado_tabla_dif ">% CONTRIBUCIÓN</td>


                    <?php endforeach ?>
                </tr>
                <tr>
                    <?php foreach ($resultado[0] as $dato) : ?>

                        <th>No.</th>
                        <th>% </th>
                        <th>No.</th>
                        <th>% </th>

                    <?php endforeach ?>
                </tr>



                <tr>
                 
                </tr>

                <?php for ($i = 0; $i <= 16; $i++) : ?>
                    <tr>
                        <th scope="row"><?= $i ?> <?php if ($i == 1) : ?> Año<?php else : ?> Años <?php endif ?></th>

                        <?php for ($j = 0; $j < count($resultado[1]); $j++) : ?>

                            <td><?= $resultado[1][$j][0]["e" . $i] ?></td>
                            <?php  $lan_m=number_format(($resultado[1][$j][0]["e" . $i] / $resultado[1][$j][1])*100, 2)?>
                            <td><?php if($lan_m==0){echo 0;}else{ echo $lan_m;}?> %</td>


                            <?php if ($dif[$j] == NULL) : ?>
                                <td>0</td>
                                <td>0 %</td>
                            <?php else : ?>
                                <td><?= $dif[$j][$i+2]?></td>
                                <?php  $lan_dif_m=number_format(($dif[$j][$i+2]/ $dif[$j]['total'])*100,2)?>
                                <td><?php if($lan_dif_m==0){echo 0;}else{ echo $lan_dif_m;}?> %</td>
                            <?php endif ?>


                                
                            <?php  $contribucion=number_format(($resultado[1][$j][0]["e" . $i] / $dif[$j][$i+2])*100,2)?>
                            <td><?php if($contribucion==0){echo 0;}else{ echo $contribucion;}?> %</td>
                        <?php endfor ?>

                    <tr>
                    <?php endfor ?>

                    <tr>
                        <th scope="row">Total</th>

                        <?php for ($j = 0; $j < count($resultado[1]); $j++) : ?>
                            <td><?= $resultado[1][$j][1] ?></td>
                            <td>100%</td>
                            <td><?= $dif[$j]['total']?></td>
                            <td>100%</td>
                            <?php  $contribucion_total=number_format(( $resultado[1][$j][1] / $dif[$j]['total'])*100,2)?>
                            <td><?php if($contribucion_total==0){echo 0;}else{ echo $contribucion_total;}?> %</td>
                        <?php endfor ?>
                    </tr>
            </tbody>
        </table>
    </div>
<?php endif ?>