function show(id){ $('#'+id).show(); }
function hide(id){ $('#'+id).hide(); }
function showCl(clase){ $('.'+clase).show(); }
function hideCl(clase){ $('.'+clase).hide(); }
function cleanBox(box){ $('#'+box).val(''); }
function cleanDiv(div){ $('#'+div).html('&nbsp;'); }
function enCl(clase){ $('.'+clase).prop('disabled', false); }
function disCl(clase){ $('.'+clase).prop('disabled', true); }
function en(div){ $('#'+div).prop('disabled', false); }
function dis(div){ $('#'+div).prop('disabled', true); }
function showModal(id){ //$('#'+id).modal('show').fadeIn(3000);
	setTimeout(function(){
    	$('#'+id).modal('show');
	},300)
}
function hideModal(id){ $('#'+id).modal('hide'); }

function showHideDiv(div){
	if( $('#'+div).is(":visible") ){ hide(div); }
	else{ show(div); }
}
function showHideDiv2(div){
	if( $('.'+div).is(":visible") ){ $('.'+div).hide(); }
	else{ $('.'+div).show(); }
}

function showHideTabs(idTab){
	switch(idTab){
		case 'tab-1':
			$('.content-1').show();
			$('.content-2').hide();
			$('.content-3').hide();
			$('.content-4').hide();
			break;
		case 'tab-2':
			$('.content-2').show();
			$('.content-1').hide();
			$('.content-3').hide();
			$('.content-4').hide();
			break;
		case 'tab-3':
			$('.content-3').show();
			$('.content-2').hide();
			$('.content-1').hide();
			$('.content-4').hide();
			break;
		case 'tab-4':
			$('.content-4').show();
			$('.content-2').hide();
			$('.content-3').hide();
			$('.content-1').hide();
			break;
	}
}

function enDis(div){
	if($('#'+div).is(':disabled')){
		en(div);
	}else{
		dis(div);
	}
}

function enDisDiv(val,div){
	if(val=='Si'){
		en(div);
	}else{
		dis(div);
		$('#'+box).val('0');
	}
}

function enDisDiv2(val,div){
	if(val!=0){
		en(div);
	}else{
		dis(div);
		cleanBox(div);
	}
}

function selAll(todo,checks,form){
	var total=document.getElementById(form).length;
	var	formulario=document.getElementById(form);
	if (todo.checked){		
		for(var i=0;i<total;i++){
			if(formulario.elements[i].name==checks){
				formulario.elements[i].checked=true;
				if(formulario.elements[i].name=='ids_info[]'){
					var x=i-1; 
					var div_name=formulario.elements[x].value;
					changeBack(formulario.elements[i],div_name);
				}
			}
		}
	}else{
		for(var i=0;i<total;i++){
			if(formulario.elements[i].name==checks){
				formulario.elements[i].checked=false;
				if(formulario.elements[i].name=='ids_info[]'){
					var x=i-1; 
					var div_name=formulario.elements[x].value;
					changeBack(formulario.elements[i],div_name);
				}
			}
		}
	}	
}

function clearSelAll(){
	$("#todo").prop('checked', false);
}

function modalGral(title,msj){
	$('#btnGral').empty();
	$('#tituloGral').html(title);
	$('#msjGral').html(msj);
	$("#btnCancel").removeClass("login100-form-btn-small-blue");
	$('#btnCancel').addClass("login100-form-btn-small");
	$('#btnCancel').html('<i class="fas fa-check"></i>&nbsp;Aceptar');
	if(msj.substr(0,4)=='<img'){ $('#botones').hide(); }
	$("#modalGral").modal('show');
}

function modalPic(title,msj){
	$('#btnPic').empty();
	$('#tituloPic').html(title);
	$('#msjPic').html(msj);
	$("#modalPic").modal('show');
}

function hideCheckPass(box,div){
	if (box.checked){
		show(div);
	}else{
		hide(div);
		cleanBox('password');
		cleanBox('confirma')
	}
}

function cleanBoxAll(form){
	switch(form.id){
		case 'fGenPlan':
			$('#periodo').val('');
			$('#convocatorias').val('');
			$('#eventos').val('');
			$('#recurrentes').val('');
			$('#eventuales').val('');
			break;
	}
}

function remAttr(box){
	box.removeAttribute('style');
	cleanDiv('E'+box.name);
}


function remAttrAll(form){
	switch(form.id){
		case 'fAddVal':
			remAttr(form.metodologia);
			remAttr(form.antecedentes_familiares);
			remAttr(form.antecedentes_desarrollo);
			remAttr(form.observacion_personal);
			remAttr(form.observacion_sesion);
			remAttr(form.reflejo_babinski);
			remAttr(form.reflejo_moro);
			remAttr(form.reflejo_arqueo);
			remAttr(form.reflejo_palmar);
			remAttr(form.reflejo_gateo);
			remAttr(form.reflejo_busqueda);
			remAttr(form.reflejo_succion);
			remAttr(form.reflejo_marcha);
			remAttr(form.reflejo_escalada);
			remAttr(form.reflejo_plantar);
			remAttr(form.area_psicomotriz);
			remAttr(form.lenguaje);
			remAttr(form.lenguaje_reactivos);
			remAttr(form.cognicion);
			remAttr(form.cognicion_reactivos);
			remAttr(form.desarrollo_motor);
			remAttr(form.desarrollo_motor_reactivos);
			remAttr(form.socializacion);
			remAttr(form.socializacion_reactivos);
			remAttr(form.autoayuda);
			remAttr(form.autoayuda_reactivos);
			remAttr(form.emocional);
			remAttr(form.conductual);
			remAttr(form.otros);
			remAttr(form.ci_verbal);
			remAttr(form.ci_verbal_resultado);
			remAttr(form.ci_ejecucion);
			remAttr(form.ci_ejecucion_resultado);
			remAttr(form.comprension_verbal);
			remAttr(form.comprension_verbal_resultado);
			remAttr(form.razonamiento_perceptual);
			remAttr(form.razonamiento_perceptual_resultado);
			remAttr(form.memoria_trabajo);
			remAttr(form.memoria_trabajo_resultado);
			remAttr(form.velocidad_procesamiento);
			remAttr(form.velocidad_procesamiento_resultado);
			remAttr(form.ci_total);
			remAttr(form.ci_total_resultado);
			remAttr(form.ci_general_lenguaje);
			remAttr(form.ci_general_lenguaje_resultado);
			remAttr(form.observacion_seguimiento);
			remAttr(form.observaciones);
			remAttr(form.arch_foto_val);
			cleanDiv('Error');
			break;
		case 'fGenPlan':
			remAttr(form.periodo);
			remAttr(form.convocatorias);
			remAttr(form.eventos);
			remAttr(form.recurrentes);
			remAttr(form.eventuales);
			break;
	}
}


function enableWRadBtn(radio,box){
	if(radio.value=='Si'){
		$('#'+box).prop( "disabled", false );
	}else{
		cleanBox(box);
		$('#'+box).prop( "disabled", true );
		cleanDiv('E'+box);
		$('#'+box).removeAttr('style');
	}
}

function hideShowEsc(radio,div1,div2){
	if(radio.value=='Si'){
		show(div1);
		show(div2);
	}else{
		hide(div1);
		hide(div2);
		$('#grado_escolar').val(0);
		$('#grado_escolar').removeAttr('style');
		cleanDiv('Egrado_escolar');
		$('#ceSi').prop('checked',false);
		$('#ceNo').prop('checked',false);
		cleanDiv('Ecertificado_escolar');
		cleanBox('arch_certificado_escolar');
		$('#arch_certificado_escolar').removeAttr('style');
		cleanDiv('Earch_certificado_escolar');
		cleanBox('new_arch_certificado_escolar');
		$('#new_arch_certificado_escolar').removeAttr('style');
		cleanDiv('Enew_arch_certificado_escolar');
	}
}

function convertDate(fecha){
	var fechaf = fecha.split("/");
	var day = fechaf[0];
	var month = fechaf[1];
	var year = fechaf[2];
	var date2=new Date(year,month-1,day);
	return date2;
}

function existeFechaX(fecha){
	var fechaf = fecha.split("/");
	var day = fechaf[0];
	var month = fechaf[1];
	var year = fechaf[2];
	if ((day < 01 ) || (day > 31) || ( month < 01) ||( month > 12)){
		return false;
	}else{
		var date2=new Date(year,month-1,day);
		var date = new Date(year,month,'0');
		if((day-0)>(date.getDate()-0)){
			return false;
		}else{
			return true;
		}
	}
}

function existeFecha(fecha){
	var fechaf = fecha.split("/");
	var day = fechaf[0];
	var month = fechaf[1];
	var year = fechaf[2];
	if ((day < 01 ) || (day > 31) || ( month < 01) ||( month > 12)){
		return false;
	}else{
		var date2=new Date(year,month-1,day);
		var date = new Date(year,month,'0');
		if((day-0)>(date.getDate()-0)){
			return false;
		}else{
			return fechaMayor(date2);
		}
	}
}

function fechaMayor(fecha){
	var today = new Date();
	var AnyoFecha = fecha.getFullYear();
	var MesFecha = fecha.getMonth();
	var DiaFecha = fecha.getDate();
 
	var AnyoHoy = today.getFullYear();
	var MesHoy = today.getMonth();
	var DiaHoy = today.getDate();
	
	if (AnyoFecha < AnyoHoy){ return true; }
	else{
		if (AnyoFecha == AnyoHoy && MesFecha < MesHoy){ return true; }
		else{
			if (AnyoFecha == AnyoHoy && MesFecha == MesHoy && DiaFecha < DiaHoy){ return true; }
			else{
				if (AnyoFecha == AnyoHoy && MesFecha == MesHoy && DiaFecha == DiaHoy){ return true; }
				else{ return false; }
			}
		}
	}
}
function existeFecha2(fecha){
	var fechaf = fecha.split("/");
	var day = fechaf[0];
	var month = fechaf[1];
	var year = fechaf[2];
	if ((day < 01 ) || (day > 31) || ( month < 01) ||( month > 12)){
		return false;
	}else{
		var date2=new Date(year,month-1,day);
		var date = new Date(year,month,'0');
		if((day-0)>(date.getDate()-0)){
			return false;
		}else{
			return fechaMenor(date2);
		}
	}
}

function fechaMenor(fecha){
	var today = new Date();
	var AnyoFecha = fecha.getFullYear();
	var MesFecha = fecha.getMonth();
	var DiaFecha = fecha.getDate();
 
	var AnyoHoy = today.getFullYear();
	var MesHoy = today.getMonth();
	var DiaHoy = today.getDate();
	if (AnyoFecha > AnyoHoy){ return true; }
	else{
		if (AnyoFecha == AnyoHoy && MesFecha > MesHoy){ return true; }
		else{
			if (AnyoFecha == AnyoHoy && MesFecha == MesHoy && DiaFecha > DiaHoy){ return true; }
			else{
				if (AnyoFecha == AnyoHoy && MesFecha == MesHoy && DiaFecha == DiaHoy){ return true; }
				else{ return false; }
			}
		}
	}
}

function limita(elEvento, maxChar, textarea) {
	var elemento = document.getElementById(textarea);
  	var evento = elEvento || window.event;
  	var codigoCaracter = evento.charCode || evento.keyCode;
  	if(codigoCaracter == 37 || codigoCaracter == 39) { return true; }
  	if(codigoCaracter == 8 || codigoCaracter == 46) { return true; }
  	else if(elemento.value.length >= maxChar ) { return false; }
  	else { return true; }
}

function actualizaInfo(maxChar, textarea, msj) {
	var elemento = document.getElementById(textarea);
	var info = document.getElementById(msj);	
  	if(elemento.value.length >= maxChar ) {
    	info.innerHTML = "Máximo "+maxChar+" caracteres.";
  	}else {
    	info.innerHTML = "Máximo "+(maxChar-elemento.value.length)+" caracteres adicionales.";
  	}
}
function modalLegal(){
	$('#btnGral').empty();
	$("#btnCancel").removeClass("login100-form-btn-small");
	$('#btnCancel').addClass("login100-form-btn-small-blue");
	$('#btnCancel').html('&nbsp;<i class="fas fa-ban"></i>&nbsp;Cancelar');
	$('#tituloGral').html('¡Confirmación!');
	$('#msjGral').html('¿ La información está correcta ?');
	$('#btnGral').append('<button class="login100-form-btn-small" onClick="hideModal(\'modalGral\');showModal(\'modalLegal\');"><i class="fas fa-check"></i>&nbsp;Aceptar</button>');
	$("#modalGral").modal('show');
}
function getIds(accion,nombre,tabla,id_usuario){
	var selected = new Array();
	$(document).ready(function() {
		$("input:checkbox:checked").each(function() {
			if($(this).val()!=0){
				selected.push($(this).val());
			}
        });
		if(selected.length==0){
			$('#btnGral').empty();
			$("#btnCancel").removeClass("login100-form-btn-small-blue");
			$('#btnCancel').addClass("login100-form-btn-small");
			$('#btnCancel').html('&nbsp;<i class="fas fa-check"></i>&nbsp;Aceptar');
			$('#tituloGral').html('¡Aviso!');
			$('#msjGral').html('¡¡¡ NO hay <strong>Registros</strong> Seleccionados !!!');
			$("#modalGral").modal('show');
		}else{
			switch(accion){
				case 'del':
					confirmDel(selected,nombre,id_usuario,tabla);
					showModal('modalGral');
					break;
				case 'print':
					switch(tabla){
						case 'contactos':
							window.open('../../php/gen_directorio_pdf.php?ids='+selected);
							break;
						case 'informacion_institucional':
							window.open('../../php/gen_informacion_inst_pdf.php?ids='+selected);
							break;
						case 'donadores':
							window.open('../../php/gen_donadores_pdf.php?ids='+selected);
							break;
					}
					break;
			}
		}
	});							
}
function changeBack(chekbox,div){
	if (chekbox.checked){	
		$('#'+div).addClass("divSelChk");
	}else{
		$("#"+div).removeClass("divSelChk");
	}
}

function asignaHrs(box){
	var id=box.value;
	var tabla='grupo_convivencias';
	$.ajax({
		url: "../../php/asignaHrs.php",
		type: "POST",
		data: "id="+id+"&tabla="+tabla,		
        success: function(resp){
			var horas = resp.split('-');
			$('#horas_a_cubrir').val('Min '+horas[0]+' hrs. - Max '+horas[1]+' hrs.');
			$('#min').val(horas[0]);
			$('#max').val(horas[1]);
		}   
	});
}
function limpiaProgCon(formName){
	switch(formName){
		case 'fAddCon':
			en('id_grupo_convivencias');
			en('lugar');
			en('horas_asignadas');
			en('padre');
			en('madre');
			en('fecha_inicio');
			en('fecha_fin');
			en('btnGen');
			hide('oculto2');
			cleanDiv('horario');
			cleanDiv('scripts');
			$('#horas_totales').val(0);
			break;
		case 'fechas':
			en('id_grupo_convivencias');
			en('lugar');
			en('horas_asignadas');
			en('padre');
			en('madre');
			en('fecha_inicio');
			en('fecha_fin');
			en('btnGenNew');
			show('btnGenNew');
			hide('btnGCHrs');
			show('btnGCAll');
			hide('btnObs');
			hide('btnEditHrs');
			hide('btnGCAll');
			hide('btnGenInf');
			show('btnCancelEdit');
			for(i=1; i<=$('#dias').val();i++){
				dis('hora_inicio'+i);
				dis('hora_fin'+i);
				dis('observaciones'+i);
			}
			break;
		case 'horas':
			for(i=1; i<=$('#dias').val();i++){
				en('hora_inicio'+i);
				en('hora_fin'+i);
				en('observaciones'+i);
			}
			hide('btnGenNew');
			show('btnGCHrs');
			hide('btnGCAll');
			hide('btnObs');
			hide('btnGenInf');
			show('btnCancelEdit');
			break;
		case 'all':
			dis('id_grupo_convivencias');
			dis('lugar');
			dis('horas_asignadas');
			dis('padre');
			dis('madre');
			dis('fecha_inicio');
			dis('fecha_fin');
			show('btnEditFech');
			show('btnEditHrs');
			en('btnEditFech');
			en('btnEditHrs');
			for(i=1; i<=$('#dias').val();i++){
				dis('hora_inicio'+i);
				dis('hora_fin'+i);
				en('observaciones'+i);
			}
			hide('btnGCHrs');
			hide('btnGCAll');
			hide('btnGenNew');
			show('btnObs');
			show('btnGenInf');
			hide('btnCancelEdit');
			break;
	}
}
function genHorario(f_i,dias){
	moment.locale('es');
	f_tmp=f_inicio;
	for(var i=0;i<dias;i++){
		var f_inicio=convertDate(f_i);
		var f_tmp1=f_inicio;
		var f_inicio2=convertDate(f_i);
		var f_tmp2=f_inicio2;
		var fecha_dia=moment(f_tmp1.setDate(f_tmp1.getDate() + i)).format('ddd DD-MMM-YYYY');
		var fecha=moment(f_tmp2.setDate(f_tmp2.getDate() + i)).format('DD/MM/YYYY');
		var j=i+1;
		$('#horario').append('<div class="form-group row mt--11"><div class="col-md-1"><label class="subTBlue2">Día '+j+':</label></div><div class="col-md-3 mb-2"><input type="text" class="form-control iGral C" title="Fecha" value="'+fecha_dia+'" disabled/></div><div class="col-md-2"><input type="text" class="form-control iGral" placeholder="*Desde" name="hora_inicio'+j+'" id="hora_inicio'+j+'" title="Hora Inicio" maxlength="5" onChange="remAttr(this);sumaHoras(this);" onKeyPress="return soloNums2p(event);"/><span class="fas fa-clock extra_span"></span><div id="Ehora_inicio'+j+'" class="errMsj">&nbsp;</div></div><div class="col-md-2"><input type="text" class="form-control iGral" placeholder="*Hasta" name="hora_fin'+j+'" id="hora_fin'+j+'" title="Hora Final" maxlength="5" onChange="remAttr(this);sumaHoras(this);" onKeyPress="return soloNums2p(event);"/><span class="fas fa-clock extra_span"></span><div id="Ehora_fin'+j+'" class="errMsj">&nbsp;</div></div><div class="col-md-3"><textarea id="observaciones'+j+'" name="observaciones'+j+'" class="form-control iGral" maxlength="500" lang="es" spellcheck="true" rows="1" placeholder="Observaciones" onKeyPress="return limita(event, 500, \'observaciones'+j+'\');" onKeyUp="actualizaInfo(500, \'observaciones'+j+'\', \'msjChar'+j+'\');remAttr(this);"></textarea><div id="msjChar'+j+'" class="errMsj warMsj">&nbsp;Maximo 500 caracteres.</div><div id="Eobservaciones'+j+'" class="errMsj">&nbsp;</div></div><input type="hidden" name="fecha'+j+'" id="fecha'+j+'" value="'+fecha+'"/><input type="hidden" name="horas'+j+'" id="horas'+j+'" value="0"/></div>');
		asignaTime(j);
	}
}


function genHorario2(){
	id_convivencia=$('#id_convivencia').val();
	dias=$('#dias').val();
	f_ini=$('#f_ini').val();
	f_fin=$('#f_fin').val();
	h_t=0;
	$.ajax({
		url: "../../php/genHorarioConv.php",
		type: "POST",
		data: "id_convivencia="+id_convivencia+"&f_ini="+f_ini+"&f_fin="+f_fin+"&dias="+dias,		
        success: function(resp){
			$('#horario').html(resp);
			for(i=1;i<=dias;i++){
				h_t=h_t+parseFloat($('#horas'+i).val());
				asignaTime(i);
			}
			$('#horas_totales').val(h_t.toFixed(2));
		}   
	});
	
}

function valHora(horaVal){
	var res=false;
	var cadHr=/^(0[0-9]|1\d|2[0-3]):([0-5]\d)$/;
	if (cadHr.test(horaVal)!=false){
		res=true;
		var hora = horaVal.split(':');
		var hh = parseInt(hora[0],10);
		var mm = parseInt(hora[1],10);
		if (hh < 0 || hh > 23) res = false;
		if (mm < 0 || mm > 59) res = false;
	}
	return res;
}

function sumaHoras(input){
	var cadena=input.name;
	var id=(cadena.substr(0,8)=='hora_fin')?cadena.substr(8):cadena.substr(11);
	var start = moment($('#hora_inicio'+id).val(), 'H:mm');
	var end = moment($('#hora_fin'+id).val(), 'H:mm');
	if(start.isAfter(end)!=true){
		hrs=moment.duration(end - start).asHours();
		$('#horas'+id).val(hrs);
	}else{ $('#horas'+id).val(0); }
	var h_t=0; var d=parseInt($('#dias').val());
	for (var i = 0; i< d; i++) {
		var j=i+1;
		h_t=h_t+parseFloat($('#horas'+j).val());
	}
	$('#horas_totales').val(h_t.toFixed(2));
}
function asignaTime(id){
	$("#hora_inicio"+id).datetimepicker({datepicker:false,format:"H:i",step:30});
	$("#hora_fin"+id).datetimepicker({datepicker:false,format:"H:i",step:30});
}
function submitForm(formName){
	switch(formName){
		case 'fEditCon':
			var formData = new FormData($("#fEditCon")[0]);
			break;
	}
	$.ajax({
		url: "../../php/submitForm.php",
		type: "POST",
		data: formData,
		cache: false,
        contentType: false,
        processData: false,
        success: function(resp){}   
	});
}
function showForm(clase){
	switch(clase){
		case 'f0'://Niguno
			hide('oculto');
			hideCl('f0');
			hideCl('f1');
			hideCl('f2');
			hideCl('f3');
			hideCl('f4');
			hideCl('f5');
			hideCl('f6');
			hideCl('f7');
			hideCl('f8');
			hideCl('f9');
			hideCl('f10');
			hideCl('f11');
			hideCl('f12');
			hideCl('f13');
			hideCl('f14');
			hideCl('f15');
			break;
		case 'f1'://0-1 mes
			show('oculto');
			showCl('f0');
			showCl('f1');
			hideCl('f2');
			hideCl('f3');
			hideCl('f4');
			hideCl('f5');
			hideCl('f6');
			hideCl('f7');
			hideCl('f8');
			hideCl('f9');
			hideCl('f10');
			hideCl('f11');
			hideCl('f12');
			hideCl('f13');
			hideCl('f14');
			hideCl('f15');
			break;
		case 'f2'://1-12 meses
			show('oculto');
			showCl('f0');
			hideCl('f1');
			showCl('f2');
			hideCl('f3');
			hideCl('f4');
			hideCl('f5');
			hideCl('f6');
			hideCl('f7');
			hideCl('f8');
			hideCl('f9');
			hideCl('f10');
			showCl('f11');
			hideCl('f12');
			hideCl('f13');
			hideCl('f14');
			hideCl('f15');
			break;
		case 'f3'://1-2 años
			show('oculto');
			showCl('f0');
			hideCl('f1');
			hideCl('f2');
			showCl('f3');
			hideCl('f4');
			hideCl('f5');
			hideCl('f6');
			hideCl('f7');
			hideCl('f8');
			hideCl('f9');
			hideCl('f10');
			showCl('f11');
			hideCl('f12');
			hideCl('f13');
			hideCl('f14');
			hideCl('f15');
			break;
		case 'f4'://2-3 años
			show('oculto');
			showCl('f0');
			hideCl('f1');
			hideCl('f2');
			hideCl('f3');
			showCl('f4');
			hideCl('f5');	
			hideCl('f6');
			hideCl('f7');
			hideCl('f8');
			hideCl('f9');
			hideCl('f10');
			showCl('f11');
			showCl('f12');
			showCl('f13');
			showCl('f14');
			hideCl('f15');
			break;
		case 'f5'://3-4 años
			show('oculto');
			showCl('f0');
			hideCl('f1');
			hideCl('f2');
			hideCl('f3');
			hideCl('f4');
			showCl('f5');
			hideCl('f6');
			hideCl('f7');
			hideCl('f8');
			hideCl('f9');
			hideCl('f10');
			showCl('f11');
			showCl('f12');
			showCl('f13');
			showCl('f14');
			hideCl('f15');
			break;
		case 'f6'://4-5 años
			show('oculto');
			showCl('f0');
			hideCl('f1');
			hideCl('f2');
			hideCl('f3');
			hideCl('f4');
			hideCl('f5');
			showCl('f6');
			hideCl('f7');
			hideCl('f8');
			hideCl('f9');
			hideCl('f10');
			showCl('f11');
			showCl('f12');
			showCl('f13');
			showCl('f14');
			showCl('f15');
			break;
		case 'f7'://5-6 años
			show('oculto');
			showCl('f0');
			hideCl('f1');
			hideCl('f2');
			hideCl('f3');
			hideCl('f4');
			hideCl('f5');
			hideCl('f6');
			showCl('f7');
			hideCl('f8');
			hideCl('f9');
			hideCl('f10');
			showCl('f11');
			showCl('f12');
			showCl('f13');
			showCl('f14');
			showCl('f15');
			break;
		case 'f8'://6-7 años +
			show('oculto');
			showCl('f0');
			hideCl('f1');
			hideCl('f2');
			hideCl('f3');
			hideCl('f4');
			hideCl('f5');
			hideCl('f6');
			hideCl('f7');
			showCl('f8');
			hideCl('f9');
			hideCl('f10');
			hideCl('f11');
			showCl('f12');
			showCl('f13');
			showCl('f14');
			showCl('f15');
			break;
		case 'f9'://7 años +
			show('oculto');
			showCl('f0');
			hideCl('f1');
			hideCl('f2');
			hideCl('f4');
			hideCl('f5');
			hideCl('f6');
			hideCl('f7');
			hideCl('f8');
			showCl('f9');
			hideCl('f10');
			hideCl('f11');
			showCl('f12');
			hideCl('f13');
			hideCl('f14');
			showCl('f15');
			break;
		case 'f10'://Seguimiento
			show('oculto');
			hideCl('f0');
			hideCl('f1');
			hideCl('f2');
			hideCl('f3');
			hideCl('f4');
			hideCl('f5');
			hideCl('f6');
			hideCl('f7');
			hideCl('f8');
			hideCl('f9');
			showCl('f10');
			hideCl('f11');
			hideCl('f12');
			hideCl('f13');
			hideCl('f14');
			hideCl('f15');
			break;
	}
}

function calcRes(id_gpo, r_logrados, name){
	if(r_logrados!=''){
		switch (name){
			case('lenguaje'):
				switch(id_gpo){
					case '2': var reactivos=10; break;
					case '3': var reactivos=18; break;
					case '4': var reactivos=30; break;
					case '5': var reactivos=12; break;
					case '6': var reactivos=15; break;
					case '7': var reactivos=14; break;
				}
				break;
			case('cognicion'):
				switch(id_gpo){
					case '2': var reactivos=14; break;
					case '3': var reactivos=10; break;
					case '4': var reactivos=16; break;
					case '5': var reactivos=23; break;
					case '6': var reactivos=22; break;
					case '7': var reactivos=22; break;
				}
				break;
			case('desarrollo_motor'):
				switch(id_gpo){
					case '2': var reactivos=45; break;
					case '3': var reactivos=18; break;
					case '4': var reactivos=17; break;
					case '5': var reactivos=15; break;
					case '6': var reactivos=16; break;
					case '7': var reactivos=21; break;
				}
				break;
			case('socializacion'):
				switch(id_gpo){
					case '2': var reactivos=28; break;
					case '3': var reactivos=15; break;
					case '4': var reactivos=8; break;
					case '5': var reactivos=12; break;
					case '6': var reactivos=9; break;
					case '7': var reactivos=11; break;
				}
				break;
			case('autoayuda'):
				switch(id_gpo){
					case '2': var reactivos=13; break;
					case '3': var reactivos=12; break;
					case '4': var reactivos=27; break;
					case '5': var reactivos=12; break;
					case '6': var reactivos=22; break;
					case '7': var reactivos=16; break;
				}
				break;
		}
		res=(r_logrados/reactivos)*100;
		var entero=parseInt(res);
		var decimal=res-entero;
		if(decimal>=0.6){ entero+=1; }
		$('#'+name+'_resultado').val(entero);
		var clase=getBG('D',entero,$('#porcentaje_esperado').val());
	}else{
		$('#'+name+'_resultado').val(r_logrados);
		var clase="noBG";
	}
	$('#'+name+'_resultado').removeClass("noBG");
	$('#'+name+'_resultado').removeClass("bgGreen");
	$('#'+name+'_resultado').removeClass("bgYellow");
	$('#'+name+'_resultado').removeClass("bgRed");
	$('#'+name+'_resultado').addClass(clase);
}

function promEscDes(){
	var x1=($('#lenguaje_resultado').val()=='')?0:parseInt($('#lenguaje_resultado').val());
	x2=($('#cognicion_resultado').val()=='')?0:parseInt($('#cognicion_resultado').val());
	x3=($('#desarrollo_motor_resultado').val()=='')?0:parseInt($('#desarrollo_motor_resultado').val());
	x4=($('#socializacion_resultado').val()=='')?0:parseInt($('#socializacion_resultado').val());
	x5=($('#autoayuda_resultado').val()=='')?0:parseInt($('#autoayuda_resultado').val());
	res=(x1+x2+x3+x4+x5)/5;
	var entero=parseInt(res);
	var decimal=res-entero;
	if(decimal>=0.6){ entero+=1; }
	$('#promedio_general').val(entero);
	var clase=getBG('D',$('#promedio_general').val(),$('#porcentaje_esperado').val());
	$('#promedio_general').removeClass("noBG");
	$('#promedio_general').removeClass("bgGreen");
	$('#promedio_general').removeClass("bgYellow");
	$('#promedio_general').removeClass("bgRed");
	$('#promedio_general').addClass(clase);
}

function getBG(tipo,valor,pe){
	colorBG='';
	switch (tipo){
		case 'D':
			var valorF=(valor*100)/pe;
			switch (true){
				case valorF >=90:
					colorBG='bgGreen';
					break;
				case valorF >=70:
					colorBG='bgYellow';
					break;
				case valorF >=0:
					colorBG='bgRed';
					break;
				default:
			}
			break;
		case 'I':
			switch (true){
				case valor >=90:
					colorBG='bgGreen';
					break;
				case valor >=80:
					colorBG='bgYellow';
					break;
				case valor >=0:
					colorBG='bgRed';
					break;
			}
			break;
	}
	return colorBG;
}

function getBGI(tipo,pe,div){
	if(div.value!=''){ var clase=getBG(tipo,div.value,pe); }
	else{ var clase="noBG"; }
	$('#'+div.id).removeClass("noBG");
	$('#'+div.id).removeClass("bgGreen");
	$('#'+div.id).removeClass("bgYellow");
	$('#'+div.id).removeClass("bgRed");
	$('#'+div.id).addClass(clase);
}

function valCampo(campo,no_obj,no_meta,no_acti){
	var tipo=campo.id.substr(0,4);
	if(tipo!='desA'){
		if(campo.value==0 || campo.value.trim().length==0){
			general(campo,'E'+campo.name);
			return false;
		}
	}else{ //desA$k"."M$j"."O$i
		resultado=0;
		div1='desA'+no_acti+'M'+no_meta+'O'+no_obj;
		if($('#'+div1).val().trim()==''){
			colorJ('#'+div1);
			$('#E'+div1).html(msjIn);
			resultado=1;
		}
		div2='avA'+no_acti+'M'+no_meta+'O'+no_obj;
		if($('#'+div2).val().trim()==''){
			colorJ('#'+div2);
			$('#E'+div2).html(msjIn);
			resultado=1;
		}
		if(resultado==1){ return false; }
	}
	switch(tipo){
		case 'obje':
			hide('btnSavePT');
			hide('btnGenPT');
			addElemento(campo.value,tipo);
			$('#'+campo.name).val(0);
			break;
		case 'meta':
			hide('btnSavePT');
			hide('btnGenPT');
			addElemento(campo.value,tipo,no_obj);
			$('#'+campo.name).val('');
			break;
		case 'acti':
			show('btnSavePT');
			show('btnGenPT');
			addElemento(campo.value,tipo,no_obj,no_meta);
			$('#'+campo.name).val('');
			break;
		case 'desA':
			var valor=$('#'+div1).val()+'*/*'+$('#'+div2).val();
			addElemento(valor,'seg',no_obj,no_meta,no_acti);
			$('#'+div1).val('');
			$('#'+div2).val('');
			break;
	}
}

function addElemento(inputVal,tipo,no_obj,no_meta,no_acti){
	switch(tipo){
		case 'obje':
			var newDiv = $('#objetivos');
			var i = $('.o').length + 1;
			if($('#action').val()=='editAll'){
				$("<div id='objetivo"+i+"' class='o'><hr><div class='form-group row mt-30'><div class='col-md-2 subTBlue tR-form mt-2 mb-1 red'>Objetivo "+i+":</div><div class='col-md-4 mb-2'><select id='objetivoVal"+i+"' name='objetivoVal"+i+"' class='ot form-control iGral classic' onChange='remAttr(this);' disabled><option>"+inputVal+"</option><option>Lenguaje</option><option>Cognición</option><option>Desarrollo Motor</option><option>Socialización</option><option>Autoayuda</option><option>Emocional</option><option>Conductual</option><option>Otros</option></select></div><div class='col-md-3'></div><div class='col-md-1'><button type='button' class='btn btn-danger iGral fs12 mW55 mb-1' title='Editar Objetivo' onClick='enDis(\"objetivoVal"+i+"\");'><i class='fas fa-edit'></i></button></div><div class='col-md-1 mb-1'><button type='button' class='btn btn-danger iGral curP mW55 fs12 mb-1' title='Quitar Objetivo' onClick='showWarning(\"objetivo"+i+"\","+i+");'><i class='fas fa-minus'></i>&nbsp;O</button></div></div><div class='form-group row'><div class='col-md-2'></div><div class='col-md-7 mb-2'><textarea id='metaObj"+i+"' name='metaObj"+i+"' class='form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 250, \"metaObj"+i+"\");' onKeyUp='actualizaInfo(250, \"metaObj"+i+"\", \"msjCharM"+i+"\");remAttr(this)' placeholder='* Descripción de la META'></textarea><div id='msjCharM"+i+"' class='errMsj warMsj'>&nbsp;Maximo 250 caracteres.</div><div id='EmetaObj"+i+"' class='errMsj'>&nbsp;</div></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-secondary iGral curP col-md-2 mW150 fs12 mb-1 BGpurple' title='Agregar Meta' onClick='return valCampo(metaObj"+i+","+i+");'><i class='fas fa-plus'></i>&nbsp;Meta</button></div></div><div class='form-group row mt--18'><div class='col-md-2'></div><div class='col-md-7'><hr></div></div><input type='hidden' name='no_metasObj"+i+"' id='no_metasObj"+i+"' class='no_metasO' value='0' /><div id='metasObj"+i+"'></div><hr></div>").appendTo(newDiv);
			}else{
				$("<div id='objetivo"+i+"' class='o'><hr><div class='form-group row mt-30'><div class='col-md-2 subTBlue tR-form mt-2 mb-1 red'>Objetivo "+i+":</div><div class='col-md-4 mb-2'><select id='objetivoVal"+i+"' name='objetivoVal"+i+"' class='ot form-control iGral classic' onChange='remAttr(this);' disabled><option>"+inputVal+"</option><option>Lenguaje</option><option>Cognición</option><option>Desarrollo Motor</option><option>Socialización</option><option>Autoayuda</option><option>Emocional</option><option>Conductual</option><option>Otros</option></select></div><div class='col-md-3'><button type='button' class='btn btn-danger iGral fs12 mW55 mb-1' title='Editar Objetivo' onClick='enDis(\"objetivoVal"+i+"\");'><i class='fas fa-edit'></i></button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-danger iGral curP col-md-2 mW150 fs12 mb-1' title='Quitar Objetivo' onClick='delDiv(\"objetivo"+i+"\","+i+");'><i class='fas fa-minus'></i>&nbsp;Objetivo</button></div></div><div class='form-group row'><div class='col-md-2'></div><div class='col-md-7 mb-2'><textarea id='metaObj"+i+"' name='metaObj"+i+"' class='form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 250, \"metaObj"+i+"\");' onKeyUp='actualizaInfo(250, \"metaObj"+i+"\", \"msjCharM"+i+"\");remAttr(this)' placeholder='* Descripción de la META'></textarea><div id='msjCharM"+i+"' class='errMsj warMsj'>&nbsp;Maximo 250 caracteres.</div><div id='EmetaObj"+i+"' class='errMsj'>&nbsp;</div></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-secondary iGral curP col-md-2 mW150 fs12 mb-1 BGpurple' title='Agregar Meta' onClick='return valCampo(metaObj"+i+","+i+");'><i class='fas fa-plus'></i>&nbsp;Meta</button></div></div><div class='form-group row mt--18'><div class='col-md-2'></div><div class='col-md-7'><hr></div></div><input type='hidden' name='no_metasObj"+i+"' id='no_metasObj"+i+"' class='no_metasO' value='0' /><div id='metasObj"+i+"'></div><hr></div>").appendTo(newDiv);
			}
			$("#no_objetivos").val(i);
			break;
		case 'meta':
			var newDiv = $('#metasObj'+no_obj);
			var i = $('.mo'+no_obj).length + 1;
			if($('#action').val()=='editAll'){
				$("<div id='meta"+i+"Obj"+no_obj+"' class='mo"+no_obj+"'><div class='form-group row mt--27'><div class='col-md-2'></div><div class='col-md-7'><hr></div></div><div class='form-group row'><div class='col-md-3 subTBlue tR-form mt-2 mb-1 purple'>META "+i+":</div><div class='col-md-6 mb-2'><textarea id='meta"+i+"O"+no_obj+"text' name='meta"+i+"O"+no_obj+"text' class='mt form-control iGral' rows='3' disabled>"+inputVal+"</textarea></div><div class='col-md-1 mb-1'><button type='button' class='btn btn-secondary iGral fs12 mW55 BGpurple' title='Editar Meta' onClick='enDis(\"meta"+i+"O"+no_obj+"text\");'><i class='fas fa-edit'></i></button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-secondary iGral curP mW55 fs12 mb-1 BGpurple' title='Quitar Meta' onClick='showWarning(\"meta"+i+"Obj"+no_obj+"\","+no_obj+","+i+");'><i class='fas fa-minus'></i>&nbsp;M</button></div></div><div class='form-group row'><div class='col-md-3'></div><div class='col-md-6 mb-2'><textarea id='actividadMeta"+i+"Obj"+no_obj+"' name='actividadMeta"+i+"Obj"+no_obj+"' class='form-control iGral' maxlength='500' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 500, \"actividadMeta"+i+"Obj"+no_obj+"\");' onKeyUp='actualizaInfo(500, \"actividadMeta"+i+"Obj"+no_obj+"\", \"msjCharActM"+i+"Obj"+no_obj+"\");remAttr(this)' placeholder='* Descripción de la ACTIVIDAD'></textarea><div id='msjCharActM"+i+"Obj"+no_obj+"' class='errMsj warMsj'>&nbsp;Maximo 500 caracteres.</div><div id='EactividadMeta"+i+"Obj"+no_obj+"' class='errMsj'>&nbsp;</div></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-warning fcw iGral curP col-md-2 mW150 fs12 mb-1 BGorange' title='Agregar Actividad' onClick='return valCampo(actividadMeta"+i+"Obj"+no_obj+","+no_obj+","+i+");'><i class='fas fa-plus'></i>&nbsp;Actividad</button></div></div><div class='form-group row mt--18'><div class='col-md-3'></div><div class='col-md-5'><hr></div></div><input type='hidden' name='no_actMeta"+i+"Obj"+no_obj+"' id='no_actMeta"+i+"Obj"+no_obj+"' class='no_actM' value='0' /><div id='actividadesMeta"+i+"Obj"+no_obj+"'></div></div>").appendTo(newDiv);
			}else{
				$("<div id='meta"+i+"Obj"+no_obj+"' class='mo"+no_obj+"'><div class='form-group row mt--27'><div class='col-md-2'></div><div class='col-md-7'><hr></div></div><div class='form-group row'><div class='col-md-3 subTBlue tR-form mt-2 mb-1 purple'>META "+i+":</div><div class='col-md-5 mb-2'><textarea id='meta"+i+"O"+no_obj+"text' name='meta"+i+"O"+no_obj+"text' class='mt form-control iGral' rows='3' disabled>"+inputVal+"</textarea></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-secondary iGral curP col-md-2 mW150 fs12 mb-1 BGpurple' title='Quitar Meta' onClick='delDiv(\"meta"+i+"Obj"+no_obj+"\","+no_obj+","+i+");'><i class='fas fa-minus'></i>&nbsp;Meta</button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-secondary iGral fs12 mW55 BGpurple' title='Editar Meta' onClick='enDis(\"meta"+i+"O"+no_obj+"text\");'><i class='fas fa-edit'></i></button></div></div><div class='form-group row'><div class='col-md-3'></div><div class='col-md-5 mb-2'><textarea id='actividadMeta"+i+"Obj"+no_obj+"' name='actividadMeta"+i+"Obj"+no_obj+"' class='form-control iGral' maxlength='500' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 500, \"actividadMeta"+i+"Obj"+no_obj+"\");' onKeyUp='actualizaInfo(500, \"actividadMeta"+i+"Obj"+no_obj+"\", \"msjCharActM"+i+"Obj"+no_obj+"\");remAttr(this)' placeholder='* Descripción de la ACTIVIDAD'></textarea><div id='msjCharActM"+i+"Obj"+no_obj+"' class='errMsj warMsj'>&nbsp;Maximo 500 caracteres.</div><div id='EactividadMeta"+i+"Obj"+no_obj+"' class='errMsj'>&nbsp;</div></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-warning fcw iGral curP col-md-2 mW150 fs12 mb-1 BGorange' title='Agregar Actividad' onClick='return valCampo(actividadMeta"+i+"Obj"+no_obj+","+no_obj+","+i+");'><i class='fas fa-plus'></i>&nbsp;Actividad</button></div></div><div class='form-group row mt--18'><div class='col-md-3'></div><div class='col-md-5'><hr></div></div><input type='hidden' name='no_actMeta"+i+"Obj"+no_obj+"' id='no_actMeta"+i+"Obj"+no_obj+"' class='no_actM' value='0' /><div id='actividadesMeta"+i+"Obj"+no_obj+"'></div></div>").appendTo(newDiv);
			}
			$("#no_metasObj"+no_obj).val(i);
			break;
		case 'acti':
			var newDiv = $('#actividadesMeta'+no_meta+'Obj'+no_obj);
			var i = $('.am'+no_meta+'o'+no_obj).length + 1;
			if($('#action').val()=='editAll'){
				$("<div id='a"+i+"M"+no_meta+"Obj"+no_obj+"' class='am"+no_meta+"o"+no_obj+"'><input type='hidden' class='esA' id='esta"+i+"M"+no_meta+"O"+no_obj+"' name='esta"+i+"M"+no_meta+"O"+no_obj+"' value='"+$('#id_estatus_pt').val()+"' /><div class='form-group row'><div class='col-md-4 subTBlue tR-form mt-2 mb-1 orange'>ACTIVIDAD "+i+":</div><div class='col-md-5 mb-2'><textarea id='a"+i+"M"+no_meta+"O"+no_obj+"text' name='a"+i+"M"+no_meta+"O"+no_obj+"text' class='at form-control iGral' rows='3' disabled>"+inputVal+"</textarea></div><div class='col-md-1 mb-1'><button type='button' class='btn btn-warning fcw iGral curP mW55 fs12 mb-1 BGorange' title='Quitar Actividad' onClick='showWarning(\"a"+i+"M"+no_meta+"Obj"+no_obj+"\","+no_obj+","+no_meta+","+i+");'><i class='fas fa-minus'></i>&nbsp;A</button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-warning fcw iGral fs12 mW55 BGorange' title='Editar Actividad' onClick='enDis(\"a"+i+"M"+no_meta+"O"+no_obj+"text\");'><i class='fas fa-edit'></i></button></div></div><div class='form-group row'><div class='col-md-3 subTBlue2 tR-form'></div><div class='col-md-3 mb-2'><textarea id='desA"+i+"M"+no_meta+"O"+no_obj+"' name='desA"+i+"M"+no_meta+"O"+no_obj+"' class='form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 250, \"desA"+i+"M"+no_meta+"O"+no_obj+"\");' onKeyUp='actualizaInfo(250, \"desA"+i+"M"+no_meta+"O"+no_obj+"\", \"msjCharDesA"+i+"M"+no_meta+"O"+no_obj+"\");remAttr(this)' placeholder='* Desarrollo'></textarea><div id='msjCharDesA"+i+"M"+no_meta+"O"+no_obj+"' class='errMsj warMsj'>&nbsp;Maximo 250 caracteres.</div><div id='EdesA"+i+"M"+no_meta+"O"+no_obj+"' class='errMsj'>&nbsp;</div></div><div class='col-md-3 mb-2'><textarea id='avA"+i+"M"+no_meta+"O"+no_obj+"' name='avA"+i+"M"+no_meta+"O"+no_obj+"' class='form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 250, \"avA"+i+"M"+no_meta+"O"+no_obj+"\");' onKeyUp='actualizaInfo(250, \"avA"+i+"M"+no_meta+"O"+no_obj+"\", \"msjCharAvA"+i+"M"+no_meta+"O"+no_obj+"\");remAttr(this)' placeholder='* Avances / Observaciones'></textarea><div id='msjCharAvA"+i+"M"+no_meta+"O"+no_obj+"' class='errMsj warMsj'>&nbsp;Maximo 250 caracteres.</div><div id='EavA"+i+"M"+no_meta+"O"+no_obj+"' class='errMsj'>&nbsp;</div></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-lgiht fcw iGral curP col-md-2 mW150 fs12 mb-1 BGblue' title='Agregar Seguimiento' onClick='return valCampo(desA"+i+"M"+no_meta+"O"+no_obj+", "+no_obj+", "+no_meta+", "+i+");'><i class='fas fa-plus'></i>&nbsp;Seguimiento</button></div></div><div class='form-group row'><div class='col-md-2'></div><div class='col-md-9'><hr></div></div><input type='hidden' id='no_segA"+i+"M"+no_meta+"O"+no_obj+"' name='no_segA"+i+"M"+no_meta+"O"+no_obj+"' class='no_segA' value='0' /><div id='seguimientosAct"+i+"Meta"+no_meta+"Obj"+no_obj+"'></div></div>").appendTo(newDiv);
			}else{
				$("<div id='a"+i+"M"+no_meta+"Obj"+no_obj+"' class='am"+no_meta+"o"+no_obj+"'><div class='form-group row'><div class='col-md-4 subTBlue tR-form mt-2 mb-1 orange'>ACTIVIDAD "+i+":</div><div class='col-md-4 mb-2'><textarea id='a"+i+"M"+no_meta+"O"+no_obj+"text' name='a"+i+"M"+no_meta+"O"+no_obj+"text' class='at form-control iGral' rows='3' disabled>"+inputVal+"</textarea></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-warning fcw iGral curP col-md-2 mW150 fs12 mb-1 BGorange' title='Quitar Actividad' onClick='delDiv(\"a"+i+"M"+no_meta+"Obj"+no_obj+"\","+no_obj+","+no_meta+","+i+");'><i class='fas fa-minus'></i>&nbsp;Actividad</button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-warning fcw iGral fs12 mW55 BGorange' title='Editar Actividad' onClick='enDis(\"a"+i+"M"+no_meta+"O"+no_obj+"text\");'><i class='fas fa-edit'></i></button></div></div></div>").appendTo(newDiv);
			}
			$("#no_actMeta"+no_meta+"Obj"+no_obj).val(i);
			break;
		case 'seg':
			var newDiv = $('#seguimientosAct'+no_acti+'Meta'+no_meta+'Obj'+no_obj)
			var i = $('.sa'+no_acti+'m'+no_meta+'o'+no_obj).length + 1;
			var today = moment().format('DD/MM/YYYY');
			var inputVals=inputVal.split('*/*');
			if(i==1){
				$("<div class='form-group row tsa"+no_acti+"'><div class='col-md-3'></div><div class='col-md-9 subTBlue'>Seguimientos:</div></div>").appendTo(newDiv);
			}
			$("<div id='s"+i+"A"+no_acti+"M"+no_meta+"Obj"+no_obj+"' class='sa"+no_acti+"m"+no_meta+"o"+no_obj+" seg pt-10'><div class='form-group row'><div class='col-md-3'></div><div class='col-md-2 mb-2'><input type='text' class='fs form-control iGral classic tc' id='fs"+i+"a"+no_acti+"M"+no_meta+"O"+no_obj+"' name='fs"+i+"a"+no_acti+"M"+no_meta+"O"+no_obj+"' value='"+today+"' disabled /><div class='errMsj warMsj'>&nbsp;&nbsp;Fecha</div></div><div class='col-md-4 mb-1'><textarea id='des"+i+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text' name='des"+i+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text' class='ds form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 250, \"des"+i+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text\");' onKeyUp='actualizaInfo(250, \"des"+i+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text\", \"msjCharDes"+i+"A"+no_acti+"M"+no_meta+"O"+no_obj+"\");remAttr(this)' placeholder='* Desarrollo' disabled>"+inputVals[0]+"</textarea><div id='msjCharDes"+i+"A"+no_acti+"M"+no_meta+"O"+no_obj+"' class='errMsj warMsj'>&nbsp;Desarrollo</div><div id='Edes"+i+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text' class='errMsj'>&nbsp;</div></div></div><div class='form-group row'><div class='col-md-5'></div><div class='col-md-4 mb-1'><textarea id='av"+i+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text' name='av"+i+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text' class='avs form-control iGral' rows='3' onKeyPress='return limita(event, 250, \"av"+i+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text\");' onKeyUp='actualizaInfo(250, \"av"+i+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text\", \"msjCharAv"+i+"A"+no_acti+"M"+no_meta+"O"+no_obj+"\");remAttr(this)' placeholder='Avances / Observaciones' disabled>"+inputVals[1]+"</textarea><div id='msjCharAv"+i+"A"+no_acti+"M"+no_meta+"O"+no_obj+"' class='errMsj warMsj'>&nbsp;Avances/Observaciones</div><div id='Eav"+i+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text' class='errMsj'>&nbsp;</div></div><div class='col-md-1 mb-1'><button type='button' class='btn btn-light fcw iGral fs12 mW55 BGblue' title='Editar Seguimiento' onClick='enDis(\"des"+i+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text\",);enDis(\"av"+i+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text\",);'><i class='fas fa-edit'></i></button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-light fcw iGral curP mW55 fs12 mb-1 BGblue' title='Quitar Seguimiento' onClick='showWarning(\"s"+i+"A"+no_acti+"M"+no_meta+"Obj"+no_obj+"\", "+no_obj+", "+no_meta+", "+no_acti+", "+i+");'><i class='fas fa-minus'></i>&nbsp;S</button></div></div></div>").appendTo(newDiv);
			$("#no_segA"+no_acti+"M"+no_meta+"O"+no_obj).val(i);
			break;
	}
}
function delDiv(div, no_obj, no_meta,no_acti,no_seg, id_seg){
	var tipo=div.substr(0,1);
	$("#"+div).remove();
	switch(tipo){
		case 'o':
			var i = $('.o').length;
			$("#no_objetivos").val(i);
			if(no_obj<=i){
				var divObj = $('#objetivos');
				var arrObj=[];
				divObj.find('.ot').each(function() {
					arrObj.push(this.value);
				});
				var arrNoMetas=[];
				divObj.find('.no_metasO').each(function() {
					arrNoMetas.push(this.value);
				});
				var arrMeta=[];
				divObj.find('.mt').each(function() {
					arrMeta.push(this.value);
				});
				var arrNoAct=[];
				divObj.find('.no_actM').each(function() {
					arrNoAct.push(this.value);
				});
				var arrAct=[];
				divObj.find('.at').each(function() {
					arrAct.push(this.value);
				});
				if($('#action').val()=='editAll'){
					var arrEstAct=[];
					divObj.find('.esA').each(function() {
						arrEstAct.push(this.value);
					});
					var arrNoSeg=[];
					divObj.find('.no_segA').each(function() {
						arrNoSeg.push(this.value);
					});
					var arrFS=[];
					divObj.find('.fs').each(function() {
						arrFS.push(this.value);
					});
					var arrDS=[];
					divObj.find('.ds').each(function() {
						arrDS.push(this.value);
					});
					var arrAVS=[];
					divObj.find('.avs').each(function() {
						arrAVS.push(this.value);
					});
				}
				divObj.empty();
				if($('#action').val()!='editAll'){	//editar plan trab
					var j=0;  //ìndice de arr de METAS
					var k=0;  //ìndice de arr de ACTIVIDADES
					for(o=0; o<i; o++){
						var x=o+1;
						$("<div id='objetivo"+x+"' class='o'><hr><div class='form-group row mt-30'><div class='col-md-2 subTBlue tR-form mt-2 mb-1 red'>Objetivo "+x+":</div><div class='col-md-4 mb-2'><select id='objetivoVal"+x+"' name='objetivoVal"+x+"' class='ot form-control iGral classic' onChange='remAttr(this);' disabled><option>"+arrObj[o]+"</option><option>Lenguaje</option><option>Cognición</option><option>Desarrollo Motor</option><option>Socialización</option><option>Autoayuda</option><option>Emocional</option><option>Conductual</option><option>Otros</option></select></div><div class='col-md-3'><button type='button' class='btn btn-danger iGral fs12 mW55 mb-1' title='Editar Objetivo' onClick='enDis(\"objetivoVal"+x+"\");'><i class='fas fa-edit'></i></button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-danger iGral curP col-md-2 mW150 fs12 mb-1' title='Quitar Objetivo' onClick='delDiv(\"objetivo"+x+"\","+x+");'><i class='fas fa-minus'></i>&nbsp;Objetivo</button></div></div><div class='form-group row'><div class='col-md-2'></div><div class='col-md-7 mb-2'><textarea id='metaObj"+x+"' name='metaObj"+x+"' class='form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 250, \"metaObj"+x+"\");' onKeyUp='actualizaInfo(250, \"metaObj"+x+"\", \"msjCharM"+x+"\");remAttr(this)' placeholder='* Descripción de la META'></textarea><div id='msjCharM"+x+"' class='errMsj warMsj'>&nbsp;Maximo 250 caracteres.</div><div id='EmetaObj"+x+"' class='errMsj'>&nbsp;</div></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-secondary iGral curP col-md-2 mW150 fs12 mb-1 BGpurple' title='Agregar Meta' onClick='return valCampo(metaObj"+x+","+x+");'><i class='fas fa-plus'></i>&nbsp;Meta</button></div></div><div class='form-group row mt--18'><div class='col-md-2'></div><div class='col-md-7'><hr></div></div><input type='hidden' name='no_metasObj"+x+"' id='no_metasObj"+x+"' class='no_metasO' value='0' /><div id='metasObj"+x+"'></div><hr></div>").appendTo(divObj);
						$("#no_metasObj"+x).val(arrNoMetas[o]);
						//escribe METAS
						var divMeta = $('#metasObj'+x);
						var y=1;
						for(m=j; m < arrMeta.length; m++){
							if(y<=arrNoMetas[o]){
								$("<div id='meta"+y+"Obj"+x+"' class='mo"+x+"'><div class='form-group row mt--27'><div class='col-md-2'></div><div class='col-md-7'><hr></div></div><div class='form-group row'><div class='col-md-3 subTBlue tR-form mt-2 mb-1 purple'>META "+y+":</div><div class='col-md-5 mb-2'><textarea id='meta"+y+"O"+x+"text' name='meta"+y+"O"+x+"text' class='mt form-control iGral' rows='3' disabled>"+arrMeta[m]+"</textarea></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-secondary iGral curP col-md-2 mW150 fs12 mb-1 BGpurple' title='Quitar Meta' onClick='delDiv(\"meta"+y+"Obj"+x+"\","+x+","+y+");'><i class='fas fa-minus'></i>&nbsp;Meta</button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-secondary iGral fs12 mW55 BGpurple' title='Editar Meta' onClick='enDis(\"meta"+y+"O"+x+"text\");'><i class='fas fa-edit'></i></button></div></div><div class='form-group row'><div class='col-md-3'></div><div class='col-md-5 mb-2'><textarea id='actividadMeta"+y+"Obj"+x+"' name='actividadMeta"+y+"Obj"+x+"' class='form-control iGral' maxlength='500' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 500, \"actividadMeta"+y+"Obj"+x+"\");' onKeyUp='actualizaInfo(500, \"actividadMeta"+y+"Obj"+x+"\", \"msjCharActM"+y+"Obj"+x+"\");remAttr(this)' placeholder='* Descripción de la ACTIVIDAD'></textarea><div id='msjCharActM"+y+"Obj"+x+"' class='errMsj warMsj'>&nbsp;Maximo 500 caracteres.</div><div id='EactividadMeta"+y+"Obj"+x+"' class='errMsj'>&nbsp;</div></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-warning fcw iGral curP col-md-2 mW150 fs12 mb-1 BGorange' title='Agregar Actividad' onClick='return valCampo(actividadMeta"+y+"Obj"+x+","+x+","+y+");'><i class='fas fa-plus'></i>&nbsp;Actividad</button></div></div><div class='form-group row mt--18'><div class='col-md-3'></div><div class='col-md-5'><hr></div></div><input type='hidden' name='no_actMeta"+y+"Obj"+x+"' id='no_actMeta"+y+"Obj"+x+"' class='no_actM' value='0' /><div id='actividadesMeta"+y+"Obj"+x+"'></div></div>").appendTo(divMeta);
								j=m;
								//escribe ACTIVIDADES
								$("#no_actMeta"+y+"Obj"+x).val(arrNoAct[m]);
								var divAct=$('#actividadesMeta'+y+'Obj'+x);
								var z=1;
								for(a=k; a < arrAct.length; a++){
									if(z<=arrNoAct[m]){
										$("<div id='a"+z+"M"+y+"Obj"+x+"' class='am"+y+"o"+x+"'><div class='form-group row'><div class='col-md-4 subTBlue tR-form mt-2 mb-1 orange'>ACTIVIDAD "+z+":</div><div class='col-md-4 mb-2'><textarea id='a"+z+"M"+y+"O"+x+"text' name='a"+z+"M"+y+"O"+x+"text' class='at form-control iGral' rows='3' disabled>"+arrAct[a]+"</textarea></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-warning fcw iGral curP col-md-2 mW150 fs12 mb-1 BGorange' title='Quitar Actividad' onClick='delDiv(\"a"+z+"M"+y+"Obj"+x+"\","+x+","+y+","+z+");'><i class='fas fa-minus'></i>&nbsp;Actividad</button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-warning fcw iGral fs12 mW55 BGorange' title='Editar Actividad' onClick='enDis(\"a"+z+"M"+y+"O"+x+"text\");'><i class='fas fa-edit'></i></button></div></div></div>").appendTo(divAct);
										k=a;
									}
									z++;
								}
								k=k+1;
								//fin escribe ACTIVIDADES
							}	//end if
							y++;
						}
						j=j+1;
						//fin escribe METAS
					}//end OBJETIVOS
				}else{	//edita plan trab dir op / super user
					var l=0;  //ìndice de arr de SEGUIMIENTOS
					var k=0;  //ìndice de arr de ACTIVIDADES
					var j=0;  //ìndice de arr de METAS
					for(o=0; o<i; o++){
						var x=o+1;
						$("<div id='objetivo"+x+"' class='o'><hr><div class='form-group row mt-30'><div class='col-md-2 subTBlue tR-form mt-2 mb-1 red'>Objetivo "+x+":</div><div class='col-md-4 mb-2'><select id='objetivoVal"+x+"' name='objetivoVal"+x+"' class='ot form-control iGral classic' onChange='remAttr(this);' disabled><option>"+arrObj[o]+"</option><option>Lenguaje</option><option>Cognición</option><option>Desarrollo Motor</option><option>Socialización</option><option>Autoayuda</option><option>Emocional</option><option>Conductual</option><option>Otros</option></select></div><div class='col-md-3'></div><div class='col-md-1'><button type='button' class='btn btn-danger iGral fs12 mW55 mb-1' title='Editar Objetivo' onClick='enDis(\"objetivoVal"+x+"\");'><i class='fas fa-edit'></i></button></div><div class='col-md-1 mb-1'><button type='button' class='btn btn-danger iGral curP mW55 fs12 mb-1' title='Quitar Objetivo' onClick='showWarning(\"objetivo"+x+"\","+x+");'><i class='fas fa-minus'></i>&nbsp;O</button></div></div><div class='form-group row'><div class='col-md-2'></div><div class='col-md-7 mb-2'><textarea id='metaObj"+x+"' name='metaObj"+x+"' class='form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 250, \"metaObj"+x+"\");' onKeyUp='actualizaInfo(250, \"metaObj"+x+"\", \"msjCharM"+x+"\");remAttr(this)' placeholder='* Descripción de la META'></textarea><div id='msjCharM"+x+"' class='errMsj warMsj'>&nbsp;Maximo 250 caracteres.</div><div id='EmetaObj"+x+"' class='errMsj'>&nbsp;</div></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-secondary iGral curP col-md-2 mW150 fs12 mb-1 BGpurple' title='Agregar Meta' onClick='return valCampo(metaObj"+x+","+x+");'><i class='fas fa-plus'></i>&nbsp;Meta</button></div></div><div class='form-group row mt--18'><div class='col-md-2'></div><div class='col-md-7'><hr></div></div><input type='hidden' name='no_metasObj"+x+"' id='no_metasObj"+x+"' class='no_metasO' value='0' /><div id='metasObj"+x+"'></div><hr></div>").appendTo(divObj);
						$("#no_metasObj"+x).val(arrNoMetas[o]);
						//escribe METAS
						var divMeta = $('#metasObj'+x);
						var y=1;
						for(m=j; m < arrMeta.length; m++){
							if(y<=arrNoMetas[o]){
								$("<div id='meta"+y+"Obj"+x+"' class='mo"+x+"'><div class='form-group row mt--27'><div class='col-md-2'></div><div class='col-md-7'><hr></div></div><div class='form-group row'><div class='col-md-3 subTBlue tR-form mt-2 mb-1 purple'>META "+y+":</div><div class='col-md-6 mb-2'><textarea id='meta"+y+"O"+x+"text' name='meta"+y+"O"+x+"text' class='mt form-control iGral' rows='3' disabled>"+arrMeta[m]+"</textarea></div><div class='col-md-1 mb-1'><button type='button' class='btn btn-secondary iGral fs12 mW55 BGpurple' title='Editar Meta' onClick='enDis(\"meta"+y+"O"+x+"text\");'><i class='fas fa-edit'></i></button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-secondary iGral curP mW55 fs12 mb-1 BGpurple' title='Quitar Meta' onClick='showWarning(\"meta"+y+"Obj"+x+"\","+x+","+y+");'><i class='fas fa-minus'></i>&nbsp;M</button></div></div><div class='form-group row'><div class='col-md-3'></div><div class='col-md-6 mb-2'><textarea id='actividadMeta"+y+"Obj"+x+"' name='actividadMeta"+y+"Obj"+x+"' class='form-control iGral' maxlength='500' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 500, \"actividadMeta"+y+"Obj"+x+"\");' onKeyUp='actualizaInfo(500, \"actividadMeta"+y+"Obj"+x+"\", \"msjCharActM"+y+"Obj"+x+"\");remAttr(this)' placeholder='* Descripción de la ACTIVIDAD'></textarea><div id='msjCharActM"+y+"Obj"+x+"' class='errMsj warMsj'>&nbsp;Maximo 500 caracteres.</div><div id='EactividadMeta"+y+"Obj"+x+"' class='errMsj'>&nbsp;</div></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-warning fcw iGral curP col-md-2 mW150 fs12 mb-1 BGorange' title='Agregar Actividad' onClick='return valCampo(actividadMeta"+y+"Obj"+x+","+x+","+y+");'><i class='fas fa-plus'></i>&nbsp;Actividad</button></div></div><div class='form-group row mt--18'><div class='col-md-3'></div><div class='col-md-5'><hr></div></div><input type='hidden' name='no_actMeta"+y+"Obj"+x+"' id='no_actMeta"+y+"Obj"+x+"' class='no_actM' value='0' /><div id='actividadesMeta"+y+"Obj"+x+"'></div></div>").appendTo(divMeta);
								j=m;
								//escribe ACTIVIDADES
								$("#no_actMeta"+y+"Obj"+x).val(arrNoAct[m]);
								var divAct=$('#actividadesMeta'+y+'Obj'+x);
								var z=1;
								for(a=k; a < arrAct.length; a++){
									if(z<=arrNoAct[m]){
										$("<div id='a"+z+"M"+y+"Obj"+x+"' class='am"+y+"o"+x+"'><input type='hidden' class='esA' id='esta"+z+"M"+y+"O"+x+"' name='esta"+z+"M"+y+"O"+x+"' value='"+arrEstAct[a]+"' /><div class='form-group row'><div class='col-md-4 subTBlue tR-form mt-2 mb-1 orange'>ACTIVIDAD "+z+":</div><div class='col-md-5 mb-2'><textarea id='a"+z+"M"+y+"O"+x+"text' name='a"+z+"M"+y+"O"+x+"text' class='at form-control iGral' rows='3' disabled>"+arrAct[a]+"</textarea></div><div class='col-md-1 mb-1'><button type='button' class='btn btn-warning fcw iGral fs12 mW55 BGorange' title='Editar Actividad' onClick='enDis(\"a"+z+"M"+y+"O"+x+"text\");'><i class='fas fa-edit'></i></button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-warning fcw iGral curP mW55 fs12 mb-1 BGorange' title='Quitar Actividad' onClick='showWarning(\"a"+z+"M"+y+"Obj"+x+"\","+x+","+y+","+z+");'><i class='fas fa-minus'></i>&nbsp;A</button></div></div><div class='form-group row'><div class='col-md-3 subTBlue2 tR-form'></div><div class='col-md-3 mb-2'><textarea id='desA"+z+"M"+y+"O"+x+"' name='desA"+z+"M"+y+"O"+x+"' class='form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 250, \"desA"+z+"M"+y+"O"+x+"\");' onKeyUp='actualizaInfo(250, \"desA"+z+"M"+y+"O"+x+"\", \"msjCharDesA"+z+"M"+y+"O"+x+"\");remAttr(this)' placeholder='* Desarrollo'></textarea><div id='msjCharDesA"+z+"M"+y+"O"+x+"' class='errMsj warMsj'>&nbsp;Maximo 250 caracteres.</div><div id='EdesA"+z+"M"+y+"O"+x+"' class='errMsj'>&nbsp;</div></div><div class='col-md-3 mb-2'><textarea id='avA"+z+"M"+y+"O"+x+"' name='avA"+z+"M"+y+"O"+x+"' class='form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 250, \"avA"+z+"M"+y+"O"+x+"\");' onKeyUp='actualizaInfo(250, \"avA"+z+"M"+y+"O"+x+"\", \"msjCharAvA"+z+"M"+y+"O"+x+"\");remAttr(this)' placeholder='* Avances / Observaciones'></textarea><div id='msjCharAvA"+z+"M"+y+"O"+x+"' class='errMsj warMsj'>&nbsp;Maximo 250 caracteres.</div><div id='EavA"+z+"M"+y+"O"+x+"' class='errMsj'>&nbsp;</div></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-lgiht fcw iGral curP col-md-2 mW150 fs12 mb-1 BGblue' title='Agregar Seguimiento' onClick='return valCampo(desA"+z+"M"+y+"O"+x+", "+x+", "+y+", "+z+");'><i class='fas fa-plus'></i>&nbsp;Seguimiento</button></div></div><div class='form-group row'><div class='col-md-2'></div><div class='col-md-9'><hr></div></div><input type='hidden' id='no_segA"+z+"M"+y+"O"+x+"' name='no_segA"+z+"M"+y+"O"+x+"' class='no_segA' value='0' /><div id='seguimientosAct"+z+"Meta"+y+"Obj"+x+"'></div></div>").appendTo(divAct);
										$("#no_segA"+z+"M"+y+"O"+x).val(arrNoSeg[a]);
										var divSeg=$("#seguimientosAct"+z+"Meta"+y+"Obj"+x);
										if(arrNoSeg[a]>0){
											$("<div class='form-group row'><div class='col-md-3'></div><div class='col-md-9 subTBlue'>Seguimientos:</div></div>").appendTo(divSeg);
											var za=1;
											for(s=l; s < arrFS.length; s++){
												if(za<=arrNoSeg[a]){
													$("<div id='s"+za+"A"+z+"M"+y+"Obj"+x+"' class='sa"+z+"m"+y+"o"+x+" seg pt-10'><div class='form-group row'><div class='col-md-3'></div><div class='col-md-2 mb-2'><input type='text' class='fs form-control iGral classic tc' id='fs"+za+"a"+z+"M"+y+"O"+x+"' name='fs"+za+"a"+z+"M"+y+"O"+x+"' value='"+arrFS[s]+"' disabled /><div class='errMsj warMsj'>&nbsp;&nbsp;Fecha</div></div><div class='col-md-4 mb-1'><textarea id='des"+za+"a"+z+"M"+y+"O"+x+"text' name='des"+za+"a"+z+"M"+y+"O"+x+"text' class='ds form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 250, \"des"+za+"a"+z+"M"+y+"O"+x+"text\");' onKeyUp='actualizaInfo(250, \"des"+za+"a"+z+"M"+y+"O"+x+"text\", \"msjCharDes"+za+"A"+z+"M"+y+"O"+x+"\");remAttr(this)' placeholder='* Desarrollo' disabled>"+arrDS[s]+"</textarea><div id='msjCharDes"+za+"A"+z+"M"+y+"O"+x+"' class='errMsj warMsj'>&nbsp;Desarrollo</div><div id='Edes"+za+"a"+z+"M"+y+"O"+x+"text' class='errMsj'>&nbsp;</div></div></div><div class='form-group row'><div class='col-md-5'></div><div class='col-md-4 mb-1'><textarea id='av"+za+"a"+z+"M"+y+"O"+x+"text' name='av"+za+"a"+z+"M"+y+"O"+x+"text' class='avs form-control iGral' rows='3' onKeyPress='return limita(event, 250, \"av"+za+"a"+z+"M"+y+"O"+x+"text\");' onKeyUp='actualizaInfo(250, \"av"+za+"a"+z+"M"+y+"O"+x+"text\", \"msjCharAv"+za+"A"+z+"M"+y+"O"+x+"\");remAttr(this)' placeholder='Avances / Observaciones' disabled>"+arrAVS[s]+"</textarea><div id='msjCharAv"+za+"A"+z+"M"+y+"O"+x+"' class='errMsj warMsj'>&nbsp;Avances/Observaciones</div><div id='Eav"+za+"a"+z+"M"+y+"O"+x+"text' class='errMsj'>&nbsp;</div></div><div class='col-md-1 mb-1'><button type='button' class='btn btn-info fcw iGral fs12 mW55 BGblue' title='Editar Seguimiento' onClick='enDis(\"des"+za+"a"+z+"M"+y+"O"+x+"text\",);enDis(\"av"+za+"a"+z+"M"+y+"O"+x+"text\",);'><i class='fas fa-edit'></i></button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-info fcw iGral curP mW55 fs12 mb-1 BGblue' title='Quitar Seguimiento' onClick='showWarning(\"s"+za+"A"+z+"M"+y+"Obj"+x+"\", "+x+", "+y+", "+z+", "+za+");'><i class='fas fa-minus'></i>&nbsp;S</button></div></div><div class='form-group row'><div class='col-md-3'></div><div class='col-md-8'><hr></div></div></div>").appendTo(divSeg);
													l=s;
												}	//end if vacia seg
												za++;
											}	//en arr seg
											l=l+1;
										}	//en if no_Seg>0
										k=a;
									}	//end if vacia arr acti
									z++;
								}
								k=k+1;
								//fin escribe ACTIVIDADES
							}	//end if
							y++;
						}
						j=j+1;
						//fin escribe METAS
					}//end OBJETIVOS
				}	//end edit dir op / super user
			}	//end if
			break;
		case 'm':
			var i = $('.mo'+no_obj).length;
			$("#no_metasObj"+no_obj).val(i);
			if(no_meta<=i){
				var divMeta = $('#metasObj'+no_obj);
				var arrMeta=[];
				divMeta.find('.mt').each(function() {
					arrMeta.push(this.value);
				});
				var arrNoAct=[];
				divMeta.find('.no_actM').each(function() {
					arrNoAct.push(this.value);
				});
				var arrAct=[];
				divMeta.find('.at').each(function() {
					arrAct.push(this.value);
				});
				if($('#action').val()=='editAll'){
					var arrEstAct=[];
					divMeta.find('.esA').each(function() {
						arrEstAct.push(this.value);
					});
					var arrNoSeg=[];
					divMeta.find('.no_segA').each(function() {
						arrNoSeg.push(this.value);
					});
					var arrFS=[];
					divMeta.find('.fs').each(function() {
						arrFS.push(this.value);
					});
					var arrDS=[];
					divMeta.find('.ds').each(function() {
						arrDS.push(this.value);
					});
					var arrAVS=[];
					divMeta.find('.avs').each(function() {
						arrAVS.push(this.value);
					});
				}
				divMeta.empty();
				if($('#action').val()!='editAll'){//editar plan trab
					var j=0;  //ìndice de arr de actividades
					for(m=0; m<i; m++){
						var x=m+1;
						$("<div id='meta"+x+"Obj"+no_obj+"' class='mo"+no_obj+"'><div class='form-group row mt--27'><div class='col-md-2'></div><div class='col-md-7'><hr></div></div><div class='form-group row'><div class='col-md-3 subTBlue tR-form mt-2 mb-1 purple'>META "+x+":</div><div class='col-md-5 mb-2'><textarea id='meta"+x+"O"+no_obj+"text' name='meta"+x+"O"+no_obj+"text' class='mt form-control iGral' rows='3' disabled>"+arrMeta[m]+"</textarea></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-secondary iGral curP col-md-2 mW150 fs12 mb-1 BGpurple' title='Quitar Meta' onClick='delDiv(\"meta"+x+"Obj"+no_obj+"\","+no_obj+","+x+");'><i class='fas fa-minus'></i>&nbsp;Meta</button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-secondary iGral fs12 mW55 BGpurple' title='Editar Meta' onClick='enDis(\"meta"+x+"O"+no_obj+"text\");'><i class='fas fa-edit'></i></button></div></div><div class='form-group row'><div class='col-md-3'></div><div class='col-md-5 mb-2'><textarea id='actividadMeta"+x+"Obj"+no_obj+"' name='actividadMeta"+x+"Obj"+no_obj+"' class='form-control iGral' maxlength='500' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 500, \"actividadMeta"+x+"Obj"+no_obj+"\");' onKeyUp='actualizaInfo(500, \"actividadMeta"+x+"Obj"+no_obj+"\", \"msjCharActM"+x+"Obj"+no_obj+"\");remAttr(this)' placeholder='* Descripción de la ACTIVIDAD'></textarea><div id='msjCharActM"+x+"Obj"+no_obj+"' class='errMsj warMsj'>&nbsp;Maximo 500 caracteres.</div><div id='EactividadMeta"+x+"Obj"+no_obj+"' class='errMsj'>&nbsp;</div></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-warning fcw iGral curP col-md-2 mW150 fs12 mb-1 BGorange' title='Agregar Actividad' onClick='return valCampo(actividadMeta"+x+"Obj"+no_obj+","+no_obj+","+x+");'><i class='fas fa-plus'></i>&nbsp;Actividad</button></div></div><div class='form-group row mt--18'><div class='col-md-3'></div><div class='col-md-5'><hr></div></div><input type='hidden' name='no_actMeta"+x+"Obj"+no_obj+"' id='no_actMeta"+x+"Obj"+no_obj+"' class='no_actM' value='0' /><div id='actividadesMeta"+x+"Obj"+no_obj+"'></div></div>").appendTo(divMeta);
						$("#no_actMeta"+x+"Obj"+no_obj).val(arrNoAct[m]);
						var divAct=$('#actividadesMeta'+x+'Obj'+no_obj);
						var y=1;
						for(a=j; a < arrAct.length; a++){
							if(y<=arrNoAct[m]){
								$("<div id='a"+y+"M"+x+"Obj"+no_obj+"' class='am"+x+"o"+no_obj+"'><div class='form-group row'><div class='col-md-4 subTBlue tR-form mt-2 mb-1 orange'>ACTIVIDAD "+y+":</div><div class='col-md-4 mb-2'><textarea id='a"+y+"M"+x+"O"+no_obj+"text' name='a"+y+"M"+x+"O"+no_obj+"text' class='at form-control iGral' rows='3' disabled>"+arrAct[a]+"</textarea></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-warning fcw iGral curP col-md-2 mW150 fs12 mb-1 BGorange' title='Quitar Actividad' onClick='delDiv(\"a"+y+"M"+x+"Obj"+no_obj+"\","+no_obj+","+x+","+y+");'><i class='fas fa-minus'></i>&nbsp;Actividad</button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-warning fcw iGral fs12 mW55 BGorange' title='Editar Actividad' onClick='enDis(\"a"+y+"M"+x+"O"+no_obj+"text\");'><i class='fas fa-edit'></i></button></div></div></div>").appendTo(divAct);
								j=a;
							}
							y++;
						}
						j=j+1;
					}
				}else{	//editar plan de trabajo dir op y super us
					var j=0;  //ìndice de arr de actividades
					var k=0;  //ìndice de arr de seguimientos
					for(m=0; m<i; m++){
						var x=m+1;
						$("<div id='meta"+x+"Obj"+no_obj+"' class='mo"+no_obj+"'><div class='form-group row mt--27'><div class='col-md-2'></div><div class='col-md-7'><hr></div></div><div class='form-group row'><div class='col-md-3 subTBlue tR-form mt-2 mb-1 purple'>META "+x+":</div><div class='col-md-6 mb-2'><textarea id='meta"+x+"O"+no_obj+"text' name='meta"+x+"O"+no_obj+"text' class='mt form-control iGral' rows='3' disabled>"+arrMeta[m]+"</textarea></div><div class='col-md-1 mb-1'><button type='button' class='btn btn-secondary iGral curP mW55 fs12 mb-1 BGpurple' title='Quitar Meta' onClick='showWarning(\"meta"+x+"Obj"+no_obj+"\","+no_obj+","+x+");'><i class='fas fa-minus'></i>&nbsp;M</button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-secondary iGral fs12 mW55 BGpurple' title='Editar Meta' onClick='enDis(\"meta"+x+"O"+no_obj+"text\");'><i class='fas fa-edit'></i></button></div></div><div class='form-group row'><div class='col-md-3'></div><div class='col-md-6 mb-2'><textarea id='actividadMeta"+x+"Obj"+no_obj+"' name='actividadMeta"+x+"Obj"+no_obj+"' class='form-control iGral' maxlength='500' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 500, \"actividadMeta"+x+"Obj"+no_obj+"\");' onKeyUp='actualizaInfo(500, \"actividadMeta"+x+"Obj"+no_obj+"\", \"msjCharActM"+x+"Obj"+no_obj+"\");remAttr(this)' placeholder='* Descripción de la ACTIVIDAD'></textarea><div id='msjCharActM"+x+"Obj"+no_obj+"' class='errMsj warMsj'>&nbsp;Maximo 500 caracteres.</div><div id='EactividadMeta"+x+"Obj"+no_obj+"' class='errMsj'>&nbsp;</div></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-warning fcw iGral curP col-md-2 mW150 fs12 mb-1 BGorange' title='Agregar Actividad' onClick='return valCampo(actividadMeta"+x+"Obj"+no_obj+","+no_obj+","+x+");'><i class='fas fa-plus'></i>&nbsp;Actividad</button></div></div><div class='form-group row mt--18'><div class='col-md-3'></div><div class='col-md-5'><hr></div></div><input type='hidden' name='no_actMeta"+x+"Obj"+no_obj+"' id='no_actMeta"+x+"Obj"+no_obj+"' class='no_actM' value='0' /><div id='actividadesMeta"+x+"Obj"+no_obj+"'></div></div>").appendTo(divMeta);
						$("#no_actMeta"+x+"Obj"+no_obj).val(arrNoAct[m]);
						var divAct=$('#actividadesMeta'+x+'Obj'+no_obj);
						var y=1;
						for(a=j; a < arrAct.length; a++){
							if(y<=arrNoAct[m]){
								$("<div id='a"+y+"M"+x+"Obj"+no_obj+"' class='am"+x+"o"+no_obj+"'><input type='hidden' class='esA' id='esta"+y+"M"+x+"O"+no_obj+"' name='esta"+y+"M"+x+"O"+no_obj+"' value='"+arrEstAct[a]+"' /><div class='form-group row'><div class='col-md-4 subTBlue tR-form mt-2 mb-1 orange'>ACTIVIDAD "+y+":</div><div class='col-md-5 mb-2'><textarea id='a"+y+"M"+x+"O"+no_obj+"text' name='a"+y+"M"+x+"O"+no_obj+"text' class='at form-control iGral' rows='3' disabled>"+arrAct[a]+"</textarea></div><div class='col-md-1 mb-1'><button type='button' class='btn btn-warning fcw iGral fs12 mW55 BGorange' title='Editar Actividad' onClick='enDis(\"a"+y+"M"+x+"O"+no_obj+"text\");'><i class='fas fa-edit'></i></button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-warning fcw iGral curP mW55 fs12 mb-1 BGorange' title='Quitar Actividad' onClick='showWarning(\"a"+y+"M"+x+"Obj"+no_obj+"\","+no_obj+","+x+","+y+");'><i class='fas fa-minus'></i>&nbsp;A</button></div></div><div class='form-group row'><div class='col-md-3 subTBlue2 tR-form'></div><div class='col-md-3 mb-2'><textarea id='desA"+y+"M"+x+"O"+no_obj+"' name='desA"+y+"M"+x+"O"+no_obj+"' class='form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 250, \"desA"+y+"M"+x+"O"+no_obj+"\");' onKeyUp='actualizaInfo(250, \"desA"+y+"M"+x+"O"+no_obj+"\", \"msjCharDesA"+y+"M"+x+"O"+no_obj+"\");remAttr(this)' placeholder='* Desarrollo'></textarea><div id='msjCharDesA"+y+"M"+x+"O"+no_obj+"' class='errMsj warMsj'>&nbsp;Maximo 250 caracteres.</div><div id='EdesA"+y+"M"+x+"O"+no_obj+"' class='errMsj'>&nbsp;</div></div><div class='col-md-3 mb-2'><textarea id='avA"+y+"M"+x+"O"+no_obj+"' name='avA"+y+"M"+x+"O"+no_obj+"' class='form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 250, \"avA"+y+"M"+x+"O"+no_obj+"\");' onKeyUp='actualizaInfo(250, \"avA"+y+"M"+x+"O"+no_obj+"\", \"msjCharAvA"+y+"M"+x+"O"+no_obj+"\");remAttr(this)' placeholder='* Avances / Observaciones'></textarea><div id='msjCharAvA"+y+"M"+x+"O"+no_obj+"' class='errMsj warMsj'>&nbsp;Maximo 250 caracteres.</div><div id='EavA"+y+"M"+x+"O"+no_obj+"' class='errMsj'>&nbsp;</div></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-lgiht fcw iGral curP col-md-2 mW150 fs12 mb-1 BGblue' title='Agregar Seguimiento' onClick='return valCampo(desA"+y+"M"+x+"O"+no_obj+", "+no_obj+", "+x+", "+y+");'><i class='fas fa-plus'></i>&nbsp;Seguimiento</button></div></div><div class='form-group row'><div class='col-md-2'></div><div class='col-md-9'><hr></div></div><input type='hidden' id='no_segA"+y+"M"+x+"O"+no_obj+"' name='no_segA"+y+"M"+x+"O"+no_obj+"' class='no_segA' value='0' /><div id='seguimientosAct"+y+"Meta"+x+"Obj"+no_obj+"'></div></div>").appendTo(divAct);
								$("#no_segA"+y+"M"+x+"O"+no_obj).val(arrNoSeg[a]);
								var divSeg=$("#seguimientosAct"+y+"Meta"+x+"Obj"+no_obj);
								if(arrNoSeg[a]>0){
									$("<div class='form-group row'><div class='col-md-3'></div><div class='col-md-9 subTBlue'>Seguimientos:</div></div>").appendTo(divSeg);
									var z=1;
									for(s=k; s < arrFS.length; s++){
										if(z<=arrNoSeg[a]){
											$("<div id='s"+z+"A"+y+"M"+x+"Obj"+no_obj+"' class='sa"+y+"m"+x+"o"+no_obj+" seg pt-10'><div class='form-group row'><div class='col-md-3'></div><div class='col-md-2 mb-2'><input type='text' class='fs form-control iGral classic tc' id='fs"+z+"a"+y+"M"+x+"O"+no_obj+"' name='fs"+z+"a"+y+"M"+x+"O"+no_obj+"' value='"+arrFS[s]+"' disabled /><div class='errMsj warMsj'>&nbsp;&nbsp;Fecha</div></div><div class='col-md-4 mb-1'><textarea id='des"+z+"a"+y+"M"+x+"O"+no_obj+"text' name='des"+z+"a"+y+"M"+x+"O"+no_obj+"text' class='ds form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 250, \"des"+z+"a"+y+"M"+x+"O"+no_obj+"text\");' onKeyUp='actualizaInfo(250, \"des"+z+"a"+y+"M"+x+"O"+no_obj+"text\", \"msjCharDes"+z+"A"+y+"M"+x+"O"+no_obj+"\");remAttr(this)' placeholder='* Desarrollo' disabled>"+arrDS[s]+"</textarea><div id='msjCharDes"+z+"A"+y+"M"+x+"O"+no_obj+"' class='errMsj warMsj'>&nbsp;Desarrollo</div><div id='Edes"+z+"a"+y+"M"+x+"O"+no_obj+"text' class='errMsj'>&nbsp;</div></div></div><div class='form-group row'><div class='col-md-5'></div><div class='col-md-4 mb-1'><textarea id='av"+z+"a"+y+"M"+x+"O"+no_obj+"text' name='av"+z+"a"+y+"M"+x+"O"+no_obj+"text' class='avs form-control iGral' rows='3' onKeyPress='return limita(event, 250, \"av"+z+"a"+y+"M"+x+"O"+no_obj+"text\");' onKeyUp='actualizaInfo(250, \"av"+z+"a"+y+"M"+x+"O"+no_obj+"text\", \"msjCharAv"+z+"A"+y+"M"+x+"O"+no_obj+"\");remAttr(this)' placeholder='Avances / Observaciones' disabled>"+arrAVS[s]+"</textarea><div id='msjCharAv"+z+"A"+y+"M"+x+"O"+no_obj+"' class='errMsj warMsj'>&nbsp;Avances/Observaciones</div><div id='Eav"+z+"a"+y+"M"+x+"O"+no_obj+"text' class='errMsj'>&nbsp;</div></div><div class='col-md-1 mb-1'><button type='button' class='btn btn-info fcw iGral fs12 mW55 BGblue' title='Editar Seguimiento' onClick='enDis(\"des"+z+"a"+y+"M"+x+"O"+no_obj+"text\",);enDis(\"av"+z+"a"+y+"M"+x+"O"+no_obj+"text\",);'><i class='fas fa-edit'></i></button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-info fcw iGral curP mW55 fs12 mb-1 BGblue' title='Quitar Seguimiento' onClick='showWarning(\"s"+z+"A"+y+"M"+x+"Obj"+no_obj+"\", "+no_obj+", "+x+", "+y+", "+z+");'><i class='fas fa-minus'></i>&nbsp;S</button></div></div><div class='form-group row'><div class='col-md-3'></div><div class='col-md-8'><hr></div></div></div>").appendTo(divSeg);
											k=s;
										}	//end if vacia seg
										z++;
									}	//en arr seg
									k=k+1;
								}	//en if no_Seg>0
								j=a;
							}	//end if vacia arr acti
							y++;
						}
						j=j+1;
					}
				}
			}
			break;
		case 'a':
			var i = $('.am'+no_meta+'o'+no_obj).length;
			$("#no_actMeta"+no_meta+"Obj"+no_obj).val(i);
			if(no_acti<=i){
				var divAct=$('#actividadesMeta'+no_meta+'Obj'+no_obj);
				var arrAct = [];
				divAct.find('.at').each(function() {
					arrAct.push(this.value);
				});
				if($('#action').val()=='editAll'){
					var arrEstAct=[];
					divAct.find('.esA').each(function() {
						arrEstAct.push(this.value);
					});
					var arrNoSeg=[];
					divAct.find('.no_segA').each(function() {
						arrNoSeg.push(this.value);
					});
					var arrFS=[];
					divAct.find('.fs').each(function() {
						arrFS.push(this.value);
					});
					var arrDS=[];
					divAct.find('.ds').each(function() {
						arrDS.push(this.value);
					});
					var arrAVS=[];
					divAct.find('.avs').each(function() {
						arrAVS.push(this.value);
					});
				}
				divAct.empty();
				if($('#action').val()!='editAll'){
					for(var a=0; a<i; a++){
						var x=a+1;
						$("<div id='a"+x+"M"+no_meta+"Obj"+no_obj+"' class='am"+no_meta+"o"+no_obj+"'><div class='form-group row'><div class='col-md-4 subTBlue tR-form mt-2 mb-1 orange'>ACTIVIDAD "+x+":</div><div class='col-md-4 mb-2'><textarea id='a"+x+"M"+no_meta+"O"+no_obj+"text' name='a"+x+"M"+no_meta+"O"+no_obj+"text' class='at form-control iGral' rows='3' disabled>"+arrAct[a]+"</textarea></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-warning fcw iGral curP col-md-2 mW150 fs12 mb-1 BGorange' title='Quitar Actividad' onClick='delDiv(\"a"+x+"M"+no_meta+"Obj"+no_obj+"\","+no_obj+","+no_meta+","+x+");'><i class='fas fa-minus'></i>&nbsp;Actividad</button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-warning fcw iGral fs12 mW55 BGorange' title='Editar Actividad' onClick='enDis(\"a"+x+"M"+no_meta+"O"+no_obj+"text\");'><i class='fas fa-edit'></i></button></div></div></div>").appendTo(divAct);
					}
				}else{
					var j=0;  //ìndice de arr de seguimientos
					for(var a=0; a<i; a++){
						var x=a+1;
						$("<div id='a"+x+"M"+no_meta+"Obj"+no_obj+"' class='am"+no_meta+"o"+no_obj+"'><input type='hidden' class='esA' id='esta"+x+"M"+no_meta+"O"+no_obj+"' name='esta"+x+"M"+no_meta+"O"+no_obj+"' value='"+arrEstAct[a]+"' /><div class='form-group row'><div class='col-md-4 subTBlue tR-form mt-2 mb-1 orange'>ACTIVIDAD "+x+":</div><div class='col-md-5 mb-2'><textarea id='a"+x+"M"+no_meta+"O"+no_obj+"text' name='a"+x+"M"+no_meta+"O"+no_obj+"text' class='at form-control iGral' rows='3' disabled>"+arrAct[a]+"</textarea></div><div class='col-md-1 mb-1'><button type='button' class='btn btn-warning fcw iGral fs12 mW55 BGorange' title='Editar Actividad' onClick='enDis(\"a"+x+"M"+no_meta+"O"+no_obj+"text\");'><i class='fas fa-edit'></i></button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-warning fcw iGral curP mW55 fs12 mb-1 BGorange' title='Quitar Actividad' onClick='delDiv(\"a"+x+"M"+no_meta+"Obj"+no_obj+"\","+no_obj+","+no_meta+","+x+");'><i class='fas fa-minus'></i>&nbsp;A</button></div></div><div class='form-group row'><div class='col-md-3 subTBlue2 tR-form'></div><div class='col-md-3 mb-2'><textarea id='desA"+x+"M"+no_meta+"O"+no_obj+"' name='desA"+x+"M"+no_meta+"O"+no_obj+"' class='form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 250, \"desA"+x+"M"+no_meta+"O"+no_obj+"\");' onKeyUp='actualizaInfo(250, \"desA"+x+"M"+no_meta+"O"+no_obj+"\", \"msjCharDesA"+x+"M"+no_meta+"O"+no_obj+"\");remAttr(this)' placeholder='* Desarrollo'></textarea><div id='msjCharDesA"+x+"M"+no_meta+"O"+no_obj+"' class='errMsj warMsj'>&nbsp;Maximo 250 caracteres.</div><div id='EdesA"+x+"M"+no_meta+"O"+no_obj+"' class='errMsj'>&nbsp;</div></div><div class='col-md-3 mb-2'><textarea id='avA"+x+"M"+no_meta+"O"+no_obj+"' name='avA"+x+"M"+no_meta+"O"+no_obj+"' class='form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 250, \"avA"+x+"M"+no_meta+"O"+no_obj+"\");' onKeyUp='actualizaInfo(250, \"avA"+x+"M"+no_meta+"O"+no_obj+"\", \"msjCharAvA"+x+"M"+no_meta+"O"+no_obj+"\");remAttr(this)' placeholder='* Avances / Observaciones'></textarea><div id='msjCharAvA"+x+"M"+no_meta+"O"+no_obj+"' class='errMsj warMsj'>&nbsp;Maximo 250 caracteres.</div><div id='EavA"+x+"M"+no_meta+"O"+no_obj+"' class='errMsj'>&nbsp;</div></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-lgiht fcw iGral curP col-md-2 mW150 fs12 mb-1 BGblue' title='Agregar Seguimiento' onClick='return valCampo(desA"+x+"M"+no_meta+"O"+no_obj+", "+no_obj+", "+no_meta+", "+x+");'><i class='fas fa-plus'></i>&nbsp;Seguimiento</button></div></div><div class='form-group row'><div class='col-md-2'></div><div class='col-md-9'><hr></div></div><input type='hidden' id='no_segA"+x+"M"+no_meta+"O"+no_obj+"' name='no_segA"+x+"M"+no_meta+"O"+no_obj+"' class='no_segA' value='0' /><div id='seguimientosAct"+x+"Meta"+no_meta+"Obj"+no_obj+"'></div></div>").appendTo(divAct);
						$("#no_segA"+x+"M"+no_meta+"O"+no_obj).val(arrNoSeg[a]);
						var divSeg=$("#seguimientosAct"+x+"Meta"+no_meta+"Obj"+no_obj);
						if(arrNoSeg[a]>0){
							$("<div class='form-group row'><div class='col-md-3'></div><div class='col-md-9 subTBlue'>Seguimientos:</div></div>").appendTo(divSeg);
							var y=1;
							for(s=j; s < arrFS.length; s++){
								if(y<=arrNoSeg[a]){
									$("<div id='s"+y+"A"+x+"M"+no_meta+"Obj"+no_obj+"' class='sa"+x+"m"+no_meta+"o"+no_obj+" seg pt-10'><div class='form-group row'><div class='col-md-3'></div><div class='col-md-2 mb-2'><input type='text' class='fs form-control iGral classic tc' id='fs"+y+"a"+x+"M"+no_meta+"O"+no_obj+"' name='fs"+y+"a"+x+"M"+no_meta+"O"+no_obj+"' value='"+arrFS[s]+"' disabled /><div class='errMsj warMsj'>&nbsp;&nbsp;Fecha</div></div><div class='col-md-4 mb-1'><textarea id='des"+y+"a"+x+"M"+no_meta+"O"+no_obj+"text' name='des"+y+"a"+x+"M"+no_meta+"O"+no_obj+"text' class='ds form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 250, \"des"+y+"a"+x+"M"+no_meta+"O"+no_obj+"text\");' onKeyUp='actualizaInfo(250, \"des"+y+"a"+x+"M"+no_meta+"O"+no_obj+"text\", \"msjCharDes"+y+"A"+x+"M"+no_meta+"O"+no_obj+"\");remAttr(this)' placeholder='* Desarrollo' disabled>"+arrDS[s]+"</textarea><div id='msjCharDes"+y+"A"+x+"M"+no_meta+"O"+no_obj+"' class='errMsj warMsj'>&nbsp;Desarrollo</div><div id='Edes"+y+"a"+x+"M"+no_meta+"O"+no_obj+"text' class='errMsj'>&nbsp;</div></div></div><div class='form-group row'><div class='col-md-5'></div><div class='col-md-4 mb-1'><textarea id='av"+y+"a"+x+"M"+no_meta+"O"+no_obj+"text' name='av"+y+"a"+x+"M"+no_meta+"O"+no_obj+"text' class='avs form-control iGral' rows='3' onKeyPress='return limita(event, 250, \"av"+y+"a"+x+"M"+no_meta+"O"+no_obj+"text\");' onKeyUp='actualizaInfo(250, \"av"+y+"a"+x+"M"+no_meta+"O"+no_obj+"text\", \"msjCharAv"+y+"A"+x+"M"+no_meta+"O"+no_obj+"\");remAttr(this)' placeholder='Avances / Observaciones' disabled>"+arrAVS[s]+"</textarea><div id='msjCharAv"+y+"A"+x+"M"+no_meta+"O"+no_obj+"' class='errMsj warMsj'>&nbsp;Avances/Observaciones</div><div id='Eav"+y+"a"+x+"M"+no_meta+"O"+no_obj+"text' class='errMsj'>&nbsp;</div></div><div class='col-md-1 mb-1'><button type='button' class='btn btn-info fcw iGral fs12 mW55 BGblue' title='Editar Seguimiento' onClick='enDis(\"des"+y+"a"+x+"M"+no_meta+"O"+no_obj+"text\",);enDis(\"av"+y+"a"+x+"M"+no_meta+"O"+no_obj+"text\",);'><i class='fas fa-edit'></i></button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-info fcw iGral curP mW55 fs12 mb-1 BGblue' title='Quitar Seguimiento' onClick='showWarning(\"s"+y+"A"+x+"M"+no_meta+"Obj"+no_obj+"\", "+no_obj+", "+no_meta+", "+x+", "+y+");'><i class='fas fa-minus'></i>&nbsp;S</button></div></div><div class='form-group row'><div class='col-md-3'></div><div class='col-md-8'><hr></div></div></div>").appendTo(divSeg);
									j=s;
								}
								y++;
							}
							j=j+1;
						}
					}
				}
			}
			break;
		case 's':
			var i = $('.sa'+no_acti+'m'+no_meta+'o'+no_obj).length;
			$("#no_segA"+no_acti+"M"+no_meta+"O"+no_obj).val(i);
			if(i==0){ $(".tsa"+no_acti).remove(); }
			if(no_seg<=i && $('#action').val()=='editAll'){
				var divSeg=$("#seguimientosAct"+no_acti+"Meta"+no_meta+"Obj"+no_obj);
				var arrFS=[];
				divSeg.find('.fs').each(function() {
					arrFS.push(this.value);
				});
				var arrDS=[];
				divSeg.find('.ds').each(function() {
					arrDS.push(this.value);
				});
				var arrAVS=[];
				divSeg.find('.avs').each(function() {
					arrAVS.push(this.value);
				});
				divSeg.empty();
				$("<div class='form-group row tsa"+no_acti+"'><div class='col-md-3'></div><div class='col-md-9'><hr></div><div class='col-md-3'></div><div class='col-md-9 subTBlue'>Seguimientos:</div></div>").appendTo(divSeg);
				for(var s=0; s<i; s++){
					var x=s+1;
						$("<div id='s"+x+"A"+no_acti+"M"+no_meta+"Obj"+no_obj+"' class='sa"+no_acti+"m"+no_meta+"o"+no_obj+" seg pt-10'><div class='form-group row'><div class='col-md-3'></div><div class='col-md-2 mb-2'><input type='text' class='fs form-control iGral classic tc' id='fs"+x+"a"+no_acti+"M"+no_meta+"O"+no_obj+"' name='fs"+x+"a"+no_acti+"M"+no_meta+"O"+no_obj+"' value='"+arrFS[s]+"' disabled /><div class='errMsj warMsj'>&nbsp;&nbsp;Fecha</div></div><div class='col-md-4 mb-1'><textarea id='des"+x+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text' name='des"+x+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text' class='ds form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='3' onKeyPress='return limita(event, 250, \"des"+x+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text\");' onKeyUp='actualizaInfo(250, \"des"+x+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text\", \"msjCharDes"+x+"A"+no_acti+"M"+no_meta+"O"+no_obj+"\");remAttr(this)' placeholder='* Desarrollo' disabled>"+arrDS[s]+"</textarea><div id='msjCharDes"+x+"A"+no_acti+"M"+no_meta+"O"+no_obj+"' class='errMsj warMsj'>&nbsp;Desarrollo</div><div id='Edes"+x+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text' class='errMsj'>&nbsp;</div></div></div><div class='form-group row'><div class='col-md-5'></div><div class='col-md-4 mb-1'><textarea id='av"+x+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text' name='av"+x+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text' class='avs form-control iGral' rows='3' onKeyPress='return limita(event, 250, \"av"+x+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text\");' onKeyUp='actualizaInfo(250, \"av"+x+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text\", \"msjCharAv"+x+"A"+no_acti+"M"+no_meta+"O"+no_obj+"\");remAttr(this)' placeholder='Avances / Observaciones' disabled>"+arrAVS[s]+"</textarea><div id='msjCharAv"+x+"A"+no_acti+"M"+no_meta+"O"+no_obj+"' class='errMsj warMsj'>&nbsp;Avances/Observaciones</div><div id='Eav"+x+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text' class='errMsj'>&nbsp;</div></div><div class='col-md-1 mb-1'><button type='button' class='btn btn-light fcw iGral fs12 mW55 BGblue' title='Editar Seguimiento' onClick='enDis(\"des"+x+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text\",);enDis(\"av"+x+"a"+no_acti+"M"+no_meta+"O"+no_obj+"text\",);'><i class='fas fa-edit'></i></button></div><div class='col-md-2 mb-1'><button type='button' class='btn btn-light fcw iGral curP mW55 fs12 mb-1 BGblue' title='Quitar Seguimiento' onClick='showWarning(\"s"+x+"A"+no_acti+"M"+no_meta+"Obj"+no_obj+"\", "+no_obj+", "+no_meta+", "+no_acti+", "+x+");'><i class='fas fa-minus'></i>&nbsp;S</button></div></div><div class='form-group row'><div class='col-md-3'></div><div class='col-md-8'><hr></div></div></div>").appendTo(divSeg);
				}
			}
			if($('#action').val()==''){
				var datos= 'id='+id_seg+'&tabla=seguimiento_actividades_mopt&no_seguimientos='+i;
				$.ajax({
					url: "../../php/delete.php",
					type: "POST",
					data: datos,
					success: function(resp){}			
				});
			}
			break;
	}
}

function showWarning(div, no_obj, no_meta,no_acti,no_seg, id_seg){
	$('#btnGral').empty();
	$("#btnCancel").removeClass("login100-form-btn-small");
	$('#btnCancel').addClass("login100-form-btn-small-blue");
	$('#btnCancel').html('&nbsp;<i class="fas fa-ban"></i>&nbsp;Cancelar');
	$('#tituloGral').html('¡Advertencia!');
	$('#msjGral').html('Esta acción <strong>eliminará</strong> la <strong>Información</strong> relacionada...<br>¿Desea Continuar?');
	$('#btnGral').append('<button class="login100-form-btn-small" onClick="hideModal(\'modalGral\');delDiv(\''+div+'\','+no_obj+','+no_meta+','+no_acti+','+no_seg+','+id_seg+');"><i class="fas fa-check"></i>&nbsp;Aceptar</button>');
	$("#modalGral").modal('show');
}

function showModalConsulta(id, tabla, title, id_usuario, tipo, id_expediente){
	var datos= 'id='+id+'&tabla='+tabla+'&tipo='+tipo;
	$.ajax({
		url: "../../php/consultaGral.php",
		type: "POST",
		data: datos,
		success: function(resp){
			$('#btnGral').empty();
			$("#btnCancel").removeClass("login100-form-btn-small");
			$('#btnCancel').addClass("login100-form-btn-small-blue");
			$('#btnCancel').html('&nbsp;<i class="fas fa-times"></i>&nbsp;Cerrar');
			$('#tituloGral').html(title);
			$('#msjGral').html(resp);
			switch(tabla){
				case 'donadores':
					$('#btnGral').append('<button class="login100-form-btn-small fs13" onClick="location.href=\'editar-donador.php?id='+id+'&id_usuario='+id_usuario+'\';"><i class="fas fa-edit"></i>&nbsp;Editar</button>');
					break;
				case 'egresados':
					$('#botones').empty();
					$('#botones').append('<button class="mW55 btn-general fs13" onClick="window.open(\'../../php/gen_expediente_egresado.php?id_beneficiario='+id+'&id_valoracion='+id_expediente+'\');" title="Imprimir Expediente"><i class="fas fa-print"></i></button>');
					$('#botones').append('<button class="mW55 btn-general fs13 ml-1" onClick="location.href=\''+tipo+'.php?id='+id+'&id_usuario='+id_usuario+'&id_expediente='+id_expediente+'\';" title="Editar"><i class="fas fa-edit"></i></button>');
					$('#botones').append('<button data-dismiss="modal" class="login100-form-btn-small-blue ml-1" id="btnCancel">&nbsp;<i class="fas fa-times"></i>&nbsp;Cerrar</button>');
					break;
				case 'documentos_calidad2':
					$('#btnGral').append('<button class="login100-form-btn-small mW55 fs13 ml-1" onClick="location.href=\'nuevo-documento.php?id_doc='+id+'&id_usuario='+id_usuario+'\';" title="Editar" '+tipo+'><i class="fas fa-edit"></i>&nbsp;&nbsp;Editar</button>');
					break;
				case 'proveedores':
					$('#btnGral').append('<button class="login100-form-btn-small mW55 fs13 ml-1" onClick="location.href=\'proveedor.php?id_proveedor='+id+'&id_usuario='+id_usuario+'\';" title="Editar" '+tipo+'><i class="fas fa-edit"></i>&nbsp;&nbsp;Editar</button>');
					break;
			}
			$("#modalGral").modal('show');
		}			
	});
}

function addBtnPic(id, tabla, tipo, path, texto){
	switch(tabla){
		case 'fotos_egresados':
			$('#btnPic').empty();
			if(tipo!='pdf'){
				$('#btnPic').append('<button class="mW55 btn-general fs13 mh36" onClick="window.open(\'../../php/gen_historial_egresado.php?id_foto='+id+'&tabla='+tabla+'\');" title="Imprimir"><i class="fas fa-print"></i></button>');
			}else{
				if(texto!=''){
					$('#btnPic').append('<button class="mW55 btn-general fs13 mh36" onClick="window.open(\'../../php/gen_historial_egresado.php?id_foto='+id+'&tabla='+tabla+'\');window.open(\'../../'+path+'.pdf\');" title="Imprimir"><i class="fas fa-print"></i></button>');
				}else{
					$('#btnPic').append('<button class="mW55 btn-general fs13 mh36" onClick="window.open(\'../../'+path+'.pdf\');" title="Imprimir"><i class="fas fa-print"></i></button>');
				}
			}
			break;
	}
}

function asignaPorcentaje(fecha_nac, fecha_val){
	$.ajax({
		url: "../../php/asignaPorcentaje.php",
		type: "POST",
		data: "fecha_nac="+fecha_nac+"&fecha_val="+fecha_val,		
        success: function(resp){
			$('#porcentaje_esperado').val(resp);
		}   
	});
}
function getEdad(fecha_nac,fecha){
	$.ajax({
		url: "../../php/getEdad.php",
		type: "POST",
		data: "fecha_nac="+fecha_nac+"&fecha="+fecha,		
        success: function(resp){
			$('#edad').val(resp);
		}   
	});
}
function addCampos(divId){
	switch(divId){
		case 'adicionales':
			var tot=$('.overFlowH').length+1;
			total=parseInt($('#total').val())+1;
			if(tot<=6){
				$('#'+divId).append("<div class='form-group row' id='d"+total+"'><div class='col-md-2'></div><div class='col-md-4'><input type='text' name='nombre_doc[]' id='nombre_doc"+total+"' class='form-control iGral nDoc' title='Nombre del Documento' placeholder='Nombre del Documento' onKeyPress='noColorJ(\"#nombre_doc"+total+"\");cleanDiv(\"Enombre_doc"+total+"\");return soloLetrasNums(event)' maxlength='100'/><div class='errMsj warMsj'>&nbsp; Nombre del Documento "+total+"</div><div id='Enombre_doc"+total+"' class='errMsj'>&nbsp;&nbsp;</div></div><div class='col-md-3'><input type='file' name='documento[]' id='documento"+total+"' class='form-control iGral overFlowH' title='Adjuntar Documento' onChange='noColorJ(\"#documento"+total+"\");cleanDiv(\"Edocumento"+total+"\");'/><div class='errMsj warMsj'>&nbsp; Adjuntar Documento</div><div id='Edocumento"+total+"' class='errMsj'>&nbsp;&nbsp;</div></div><div class='col-md-1 mb-1'><button type='button' class='btn btn-general mW55 fs13' title='Limpiar Archivo' onClick='cleanBox(\"documento"+total+"\");noColorJ(\"#documento"+total+"\");cleanDiv(\"Edocumento"+total+"\");'><i class='fas fa-eraser'></i></button></div><div class='col-md-1'><button type='button' class='btn btn-danger btn-table iGral mW55 fs13' title='Eliminar Archivo' onClick='delCampo(\"adicionales\",\""+total+"\");'><i class='fas fa-trash'></i></button></div><input type='hidden' id='id_arch"+total+"' name='id_arch[]' value='0'/></div>");
				$('#total').val(total);
			}else{
				$('#btnGral').empty();
				$("#btnCancel").removeClass("login100-form-btn-small-blue");
				$('#btnCancel').addClass("login100-form-btn-small");
				$('#btnCancel').html('Aceptar');
				$('#tituloGral').html('¡Aviso!');
				$('#msjGral').html('No está permitido Agregar mas Documentos');
				$("#modalGral").modal('show');
			}
			break;
		case 'adicionales2':
			var tot=$('.overFlowH').length+1;
			total=parseInt($('#total').val())+1;
			if(tot<=5){
				$('#'+divId).append("<div class='form-group row' id='d"+total+"'><div class='col-md-1'></div><div class='col-md-5 mb-2'><select id='nombre_doc"+total+"' name='nombre_doc[]' class='form-control iGral classic prov' onChange='remAttr(this)'><option value='0'>- Seleccionar -</option><option value='alta_hacienda'>Alta Hacienda</option><option value='comprobante'>Comprobante Domicilio</option><option value='contrato'>Contrato</option><option value='adicional1'>Adicional 1</option><option value='adicional2'>Adicional 2</option></select><div class='errMsj warMsj'>&nbsp;Tipo Documento</div><div id='Enombre_doc"+total+"' class='errMsj'>&nbsp;</div></div><div class='col-md-4'><input type='file' name='documento[]' id='documento"+total+"' class='form-control iGral overFlowH' title='Adjuntar Documento' onChange='noColorJ(\"#documento"+total+"\");cleanDiv(\"Edocumento"+total+"\");'/><div class='errMsj warMsj'>&nbsp; Adjuntar Documento</div><div id='Edocumento"+total+"' class='errMsj'>&nbsp;&nbsp;</div></div><div class='col-md-1 mb-1'><button type='button' class='btn btn-general mW55 fs13' title='Limpiar Archivo' onClick='cleanBox(\"documento"+total+"\");noColorJ(\"#documento"+total+"\");cleanDiv(\"Edocumento"+total+"\");'><i class='fas fa-eraser'></i></button></div><div class='col-md-1'><button type='button' class='btn btn-danger btn-table iGral mW55 fs13' title='Eliminar Archivo' onClick='delCampo(\"adicionales2\",\""+total+"\");'><i class='fas fa-trash'></i></button></div><input type='hidden' id='id_arch"+total+"' name='id_arch[]' value='0'/></div>");
				$('#total').val(total);
			}else{
				$('#btnGral').empty();
				$("#btnCancel").removeClass("login100-form-btn-small-blue");
				$('#btnCancel').addClass("login100-form-btn-small");
				$('#btnCancel').html('Aceptar');
				$('#tituloGral').html('¡Aviso!');
				$('#msjGral').html('No está permitido Agregar mas Documentos');
				$("#modalGral").modal('show');
			}
			break;
	}
}

function delCampo(divId, noId){
	switch(divId){
		case 'adicionales':
		case 'adicionales2':
			$("#d"+noId).remove();
			break;
	}
}

function addEdTherapy(i){
	resultado=0;
	if($('#nombre'+i).val().trim().length==0){
		colorJ('#nombre'+i);
		$('#Enombre'+i).html(msjIn);
		resultado=1;
	}else{
		noColorJ('#nombre'+i);$('#Enombre'+i).html('&nbsp;');
	}
	if($('#fecha1'+i).val().trim().length==0){
		colorJ('#fecha1'+i);
		$('#Efecha1'+i).html(msjIn);
		resultado=1;
	}else{
		if(existeFechaX($('#fecha1'+i).val())==false){
		   colorJ('#fecha1'+i);
			$('#Efecha1'+i).html(msjDate);
			resultado=1;
		}else{ noColorJ('#fecha1'+i); $('#Efecha1'+i).html('&nbsp;'); }
	}
	if($('#descripcion'+i).val().trim().length==0){
		colorJ('#descripcion'+i);
		$('#Edescripcion'+i).html(msjIn);
		resultado=1;
	}else{
		noColorJ('#descripcion'+i); $('#Edescripcion'+i).html('&nbsp;');
	}
	if($('input:radio[name=terapia_concluida'+i+']:checked').val()==undefined){
		$('#Eterapia_concluida'+i).html(msjRad);
		resultado=1;
	}else{
		$('#Eterapia_concluida'+i).html('&nbsp;');
		if($('input:radio[name=terapia_concluida'+i+']:checked').val()=='Si'){
			if($('#fecha2'+i).val().trim().length==0){
				colorJ('#fecha2'+i);
				$('#Efecha2'+i).html(msjIn);
				resultado=1;
			}else{
				if(existeFechaX($('#fecha2'+i).val())==false){
				   colorJ('#fecha2'+i);
					$('#Efecha2'+i).html(msjDate);
					resultado=1;
				}else{ noColorJ('#fecha2'+i); $('#Efecha2'+i).html('&nbsp;'); }
			}
		}else{
			if($('#fecha2'+i).val().trim().length!=0){
				if(existeFechaX($('#fecha2'+i).val())==false){
				   colorJ('#fecha2'+i);
					$('#Efecha2'+i).html(msjDate);
					resultado=1;
				}else{ noColorJ('#fecha2'+i); $('#Efecha2'+i).html('&nbsp;'); }
			}else{ noColorJ('#fecha2'+i); $('#Efecha2'+i).html('&nbsp;'); }
		}
	}
	if(resultado==1){ return false; }
	else{
		if($('#fecha1'+i).val()!=0 && $('#fecha2'+i).val()!=0){
			f1=$('#fecha1'+i).val();
			f2=$('#fecha2'+i).val();
			inicio= new Date(f1.substr(6,4)+'-'+f1.substr(3,2)+'-'+f1.substr(0,2));
        	final= new Date(f2.substr(6,4)+'-'+f2.substr(3,2)+'-'+f2.substr(0,2));
        	if(inicio>final){
				colorJ('#fecha1'+i);
				$('#Efecha1'+i).html(msjDate);
				colorJ('#fecha2'+i);
				$('#Efecha2'+i).html(msjDate);
				return false;
			}
		}
	}
	$('#btnGral').empty();
	$("#btnCancel").removeClass("login100-form-btn-small");
	$('#btnCancel').addClass("login100-form-btn-small-blue");
	$('#btnCancel').html('&nbsp;<i class="fas fa-ban"></i>&nbsp;Cancelar');
	$('#tituloGral').html('¡Confirmación!');
	$('#msjGral').html('¿ La información está correcta ?');
	$('#btnGral').append('<button class="login100-form-btn-small" onClick="ok('+i+');"><i class="fas fa-check"></i>&nbsp;Aceptar</button>');
	$('#botones').show();
	$("#modalGral").modal('show');
}
function ok(i){
	switch($('#tabla').val()){
		case 'historial_clinico':
			datos='nombre='+$('#nombre'+i).val()+'&fecha1='+$('#fecha1'+i).val()+'&descripcion='+$('#descripcion'+i).val()+'&fecha2='+$('#fecha2'+i).val()+'&tabla=terapias&id_t='+$('#id_t'+i).val()+'&id_beneficiario='+$('#id_beneficiario').val()+'&terapia_concluida='+$('input:radio[name=terapia_concluida'+i+']:checked').val();
			$.ajax({
				url: "../../php/consultaGral.php",
				type: "POST",
				data: datos,		
				success: function(resp){
					$("#modalGral").modal('hide');
					if(i==0){
						cleanBox('nombre0');
						cleanBox('fecha10');
						cleanBox('descripcion0');
						cleanBox('fecha20');
						$('input[name="terapia_concluida0"]').prop('checked', false);
					}
					//$("#terapias").load(" #terapias");
					location.reload();
				}   
			});
			break;
		case 'vacunacion':
			datos='tabla='+$('#tabla').val()+'&id_vac='+$('#id_vac'+i).val()+'&fecha='+$('#fecha'+i).val()+'&aplicada='+$('input:radio[name=aplicada'+i+']:checked').val()+'&id_beneficiario='+$('#id_beneficiario').val();
			$.ajax({
				url: "../../php/consultaGral.php",
				type: "POST",
				data: datos,		
				success: function(resp){
					$("#modalGral").modal('hide');
					location.reload();
				}   
			});
			break;
		case 'control_peso_talla':
			datos='tabla='+$('#tabla').val()+'&id_pt='+$('#id_pt'+i).val()+'&fecha='+$('#fecha'+i).val()+'&id_beneficiario='+$('#id_beneficiario').val()+'&peso='+$('#peso'+i).val()+'&talla='+$('#talla'+i).val()+'&imc='+$('#imc'+i).val()+'&e_peso='+$('#e_peso'+i).val()+'&e_talla='+$('#e_talla'+i).val();
			$.ajax({
				url: "../../php/consultaGral.php",
				type: "POST",
				data: datos,		
				success: function(resp){
					$("#modalGral").modal('hide');
					location.reload();
				}   
			});
			break;
		case 'tratamientos':
			datos='tabla='+$('#tabla').val()+'&tipo_medicamento='+$('#tipo_medicamento'+i).val()+'&nombre='+$('#nombre'+i).val()+'&presentacion='+$('#presentacion'+i).val()+'&dosis='+$('#dosis'+i).val()+'&frecuencia='+$('#frecuencia'+i).val()+'&duracion='+$('#duracion'+i).val()+'&id_beneficiario='+$('#id_beneficiario').val()+'&id_evento='+$('#id_evento').val()+'&id_tratamiento='+$('#id_tratamiento'+i).val();
			$.ajax({
				url: "../../php/consultaGral.php",
				type: "POST",
				data: datos,		
				success: function(resp){
					$("#modalGral").modal('hide');
					loading_hide();
					$("#tt").load(" #tt");
					if(i==0){
						$('#tipo_medicamento'+i).val(0);
						cleanBox('nombre'+i);
						$('#presentacion'+i).val('');
						$('#dosis'+i).val('');
						$('#frecuencia'+i).val('');
						$('#duracion'+i).val('');
					}
				}   
			});
			break;
	}
}

function addEditVacc(i){
	resultado=0;
	if($('input:radio[name=aplicada'+i+']:checked').val()==undefined){
		$('#Eaplicada'+i).html(msjRad);
		resultado=1;
	}else{
		$('#Eaplicada'+i).html('&nbsp;');
		if($('input:radio[name=aplicada'+i+']:checked').val()=='Si'){
			if($('#fecha'+i).val().trim().length==0){
				colorJ('#fecha'+i);
				$('#Efecha'+i).html(msjIn);
				resultado=1;
			}else{
				var valDate=existeFecha($('#fecha'+i).val());
				if(valDate==true){ noColorJ('#fecha'+i); $('#Efecha'+i).html('&nbsp;'); }
				else{
					colorJ('#fecha'+i);
					$('#Efecha'+i).html(msjDate);
					resultado=1;
				}
			}
		}
	}
	if(resultado==1){ return false; }
	$('#btnGral').empty();
	$("#btnCancel").removeClass("login100-form-btn-small");
	$('#btnCancel').addClass("login100-form-btn-small-blue");
	$('#btnCancel').html('&nbsp;<i class="fas fa-ban"></i>&nbsp;Cancelar');
	$('#tituloGral').html('¡Confirmación!');
	$('#msjGral').html('¿ La información está correcta ?');
	$('#btnGral').append('<button class="login100-form-btn-small" onClick="ok('+i+');loading();"><i class="fas fa-check"></i>&nbsp;Aceptar</button>');
	$('#botones').show();
	$("#modalGral").modal('show');
}
function addEditPT(i){
	resultado=0;
	if($('#fecha'+i).val().trim().length==0){
		colorJ('#fecha'+i);
		$('#Efecha'+i).html(msjIn);
		resultado=1;
	}else{
		if(existeFecha($('#fecha'+i).val())==false){
		   colorJ('#fecha'+i);
			$('#Efecha'+i).html(msjDate);
			resultado=1;
		}else{ noColorJ('#fecha'+i); $('#Efecha'+i).html('&nbsp;'); }
	}
	if($('#peso'+i).val().trim().length==0){
		colorJ('#peso'+i);
		$('#Epeso'+i).html(msjIn);
		resultado=1;
	}else{
		noColorJ('#peso'+i);$('#Epeso'+i).html('&nbsp;');
	}
	if($('#talla'+i).val().trim().length==0){
		colorJ('#talla'+i);
		$('#Etalla'+i).html(msjIn);
		resultado=1;
	}else{
		if($('#talla'+i).val()>3){
			colorJ('#talla'+i);
			$('#Etalla'+i).html('&nbsp;Talla Incorrecta');
			resultado=1;
		}else{ noColorJ('#talla'+i);$('#Etalla'+i).html('&nbsp;'); }
	}
	if(resultado==1){ return false; }
	$('#btnGral').empty();
	$("#btnCancel").removeClass("login100-form-btn-small");
	$('#btnCancel').addClass("login100-form-btn-small-blue");
	$('#btnCancel').html('&nbsp;<i class="fas fa-ban"></i>&nbsp;Cancelar');
	$('#tituloGral').html('¡Confirmación!');
	$('#msjGral').html('¿ La información está correcta ?');
	$('#btnGral').append('<button class="login100-form-btn-small" onClick="ok('+i+');loading();"><i class="fas fa-check"></i>&nbsp;Aceptar</button>');
	$('#botones').show();
	$("#modalGral").modal('show');
}
function imc(pt,i){
	clase='bgGreen';valor='Normal';
	switch(pt){
		case 'p':
			name='peso'+i;
			if(parseFloat($('#'+name).val())<=parseFloat($('#peso_bajo'+i).val())){ clase='bgRed'; valor='Bajo'; }
			if(parseFloat($('#'+name).val())>=parseFloat($('#peso_alto'+i).val())){ clase='bgYellow'; valor='Alto'; }
			break;
		case 't':
			name='talla'+i;
			if( parseFloat($('#'+name).val()) <= parseFloat($('#talla_baja'+i).val()) ){ clase='bgRed'; valor='Baja'; }
			break;
	}
	$('#'+name).removeClass("noBG");
	$('#'+name).removeClass("bgGreen");
	$('#'+name).removeClass("bgYellow");
	$('#'+name).removeClass("bgRed");
	$('#'+name).addClass(clase);
	$('#e_'+name).val(valor);
	if($('#talla'+i).val().trim().length!=0 && $('#peso'+i).val().trim().length!=0){
		var imc=$('#peso'+i).val()/$('#talla'+i).val();
		$('#imc'+i).val(imc.toFixed(2));
	}else{ $('#imc'+i).val(''); }
}
function imc2(){
	if($('#talla').val().trim().length!=0 && $('#peso').val().trim().length!=0){
		var imc=$('#peso').val()/$('#talla').val();
		$('#imc').val(imc.toFixed(2));
	}else{ $('#imc').val(''); }
}

function addEdTreat(i){
	resultado=0;
	if($('#tipo_medicamento'+i).val()==0){
		colorJ('#tipo_medicamento'+i);
		$('#Etipo_medicamento'+i).html(msjIn);
		resultado=1;
	}else{ noColorJ('#tipo_medicamento'+i);$('#Etipo_medicamento'+i).html('&nbsp;'); }
	if($('#nombre'+i).val().trim().length==0){
		colorJ('#nombre'+i);
		$('#Enombre'+i).html(msjIn);
		resultado=1;
	}else{ noColorJ('#nombre'+i);$('#Enombre'+i).html('&nbsp;'); }
	if($('#presentacion'+i).val().trim().length==0){
		colorJ('#presentacion'+i);
		$('#Epresentacion'+i).html(msjIn);
		resultado=1;
	}else{ noColorJ('#presentacion'+i);$('#Epresentacion'+i).html('&nbsp;'); }
	if($('#dosis'+i).val().trim().length==0){
		colorJ('#dosis'+i);
		$('#Edosis'+i).html(msjIn);
		resultado=1;
	}else{ noColorJ('#dosis'+i);$('#Edosis'+i).html('&nbsp;'); }
	if($('#frecuencia'+i).val().trim().length==0){
		colorJ('#frecuencia'+i);
		$('#Efrecuencia'+i).html(msjIn);
		resultado=1;
	}else{ noColorJ('#frecuencia'+i);$('#Efrecuencia'+i).html('&nbsp;'); }
	if($('#duracion'+i).val().trim().length==0){
		colorJ('#duracion'+i);
		$('#Eduracion'+i).html(msjIn);
		resultado=1;
	}else{ noColorJ('#duracion'+i);$('#Eduracion'+i).html('&nbsp;'); }
	if(resultado==1){ return false; }
	$('#btnGral').empty();
	$("#btnCancel").removeClass("login100-form-btn-small");
	$('#btnCancel').addClass("login100-form-btn-small-blue");
	$('#btnCancel').html('&nbsp;<i class="fas fa-ban"></i>&nbsp;Cancelar');
	$('#tituloGral').html('¡Confirmación!');
	$('#msjGral').html('¿ La información está correcta ?');
	$('#btnGral').append('<button class="login100-form-btn-small" onClick="ok('+i+');loading();"><i class="fas fa-check"></i>&nbsp;Aceptar</button>');
	$('#botones').show();
	$("#modalGral").modal('show');
}
function save(campo){
	switch(campo){
		case 'eventos_medicos':
			if($('#recomendaciones').val().trim().length==0){
				colorJ('#recomendaciones');
				$('#Erecomendaciones').html(msjIn);
				return false;
			}else{ noColorJ('#recomendaciones');$('#Erecomendaciones').html('&nbsp;'); }
			break;
	}
	$('#btnGral').empty();
	$("#btnCancel").removeClass("login100-form-btn-small");
	$('#btnCancel').addClass("login100-form-btn-small-blue");
	$('#btnCancel').html('&nbsp;<i class="fas fa-ban"></i>&nbsp;Cancelar');
	$('#tituloGral').html('¡Confirmación!');
	$('#msjGral').html('¿ La información está correcta ?');
	$('#btnGral').append('<button class="login100-form-btn-small" onClick="save2(\''+campo+'\');"><i class="fas fa-check"></i>&nbsp;Aceptar</button>');
	$('#botones').show();
	$("#modalGral").modal('show');
}
function save2(campo,i){
	switch(campo){
		case 'indications':
			datos='tabla=eventos_medicos1&indicaciones='+$('#indicaciones').val()+'&id_evento='+$('#id_evento').val();
				$.ajax({
					url: "../../php/consultaGral.php",
					type: "POST",
					data: datos,		
					success: function(resp){
						$('#btnGral').empty();
						$("#btnCancel").removeClass("login100-form-btn-small");
						$('#btnCancel').addClass("login100-form-btn-small-blue");
						$('#btnCancel').html('&nbsp;<i class="fas fa-ban"></i>&nbsp;Aceptar');
						$('#tituloGral').html('¡Felicidades!');
						$('#msjGral').html('¡Las <strong>Indicaciones Generales</strong> se han guardado con éxito!');
					}   
				});
			break;
		case 'eventos_medicos':
			datos='tabla='+campo+'&recomendaciones='+$('#recomendaciones').val()+'&id_evento='+$('#id_evento').val();
				$.ajax({
					url: "../../php/consultaGral.php",
					type: "POST",
					data: datos,		
					success: function(resp){
						location.href='tratamiento.php?id_evento='+$('#id_evento').val()+'&id='+$('#id_beneficiario').val()+'&id_usuario='+$('#id_usuario').val()+'&err=1';
					}   
				});
			break;
		case 'fEvMed':
			var formData = new FormData($("#"+campo)[0]);
			$.ajax({
				url: "../../php/interconsulta.php",
				type: "POST",
				data: formData,
				cache: false,
				contentType: false,
				processData: false,
				success: function(resp){
					loading_hide();
					$("#modalGral").modal('hide');
					$("#inter").load(" #inter");
					if(i==0){
						$('#especialista'+i).val('');
						$('#indicaciones'+i).val('');
					}
				}   
			});
			break;
	}
}
function addBen(){
	if($('#beneficiario').val()==0){
		colorJ('#beneficiario');
		$('#Ebeneficiario').html(msjIn);
		return false;
	}else{
		var x=0;
		var ben = $('#beneficiario').val().split("*");
		var id = ben[0];
		var nombre = ben[1];
		var divBit=$("#addBit");
		var arrIds=[];
		divBit.find('.idB').each(function() {
			arrIds.push(this.value);
		});
		if(arrIds.length>0){
			for(var j=0;j<arrIds.length;j++){
				if(arrIds[j]==id){ x=1; break; }
			}
		}
		if(x==1){
			colorJ('#beneficiario');
			$('#Ebeneficiario').html('&nbsp;&nbsp;Este Beneficiario ya ha sido agregado anteriormente.');
			return false;
		}else{
			noColorJ('#beneficiario');$('#Ebeneficiario').html('&nbsp;');
		}
	}
	i=$('#i').val();
	$("<div class='form-group row med'><div class='col-md-6 mb-2'><div class='subTBlue2'>&nbsp;Nombre:</div><input type='text' class='form-control iGral b'  value='"+nombre+"' readonly /></div><div class='col-md-6 tc'><div class='errMsj warMsj'>&nbsp;</div>No tiene tratamiento indicado.</div><div class='col-md-6 mb-2'><div class='subTBlue2'>&nbsp;Alimentación:</div><input type='text' class='form-control iGral' id='alimentacion"+i+"' name='alimentacion"+i+"' maxlength='50' /><div id='Ealimentacion"+i+"' class='errMsj'>&nbsp;</div></div><div class='col-md-3 mb-2'><div class='subTBlue2'>&nbsp;Orina:</div><input type='text' class='form-control iGral' id='orina"+i+"' name='orina"+i+"' maxlength='20' /><div id='Eorina"+i+"' class='errMsj'>&nbsp;</div></div><div class='col-md-3 mb-2'><div class='subTBlue2'>&nbsp;Evacuaciones:</div><input type='text' class='form-control iGral' id='evacuaciones"+i+"' name='evacuaciones"+i+"' maxlength='20' /><div id='Eevacuaciones"+i+"' class='errMsj'>&nbsp;</div></div><div class='col-md-4 mb-2'><div class='subTBlue2'>&nbsp;Temperatura:</div><input type='text' class='form-control iGral' id='temperatura"+i+"' name='temperatura"+i+"' maxlength='40' /><div id='Etemperatura"+i+"' class='errMsj'>&nbsp;</div></div><div class='col-md-4 mb-2'><div class='subTBlue2'>Síntomas:</div><textarea id='sintomas"+i+"' name='sintomas"+i+"' class='form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='2' onKeyPress='return limita(event, 250, \"sintomas"+i+"\");' onKeyUp='actualizaInfo(250, \"sintomas"+i+"\", \"msjCharS"+i+"\");remAttr(this)'></textarea><div id='msjCharS"+i+"' class='errMsj warMsj'>&nbsp;Máximo 250 caracteres.</div><div id='Esintomas"+i+"' class='errMsj'>&nbsp;</div></div><div class='col-md-4 mb-2'><div class='subTBlue2'>Notas:</div><textarea id='notas"+i+"' name='notas"+i+"' class='form-control iGral' maxlength='250' lang='es' spellcheck='true' rows='2' onKeyPress='return limita(event, 250, \"notas"+i+"\");' onKeyUp='actualizaInfo(250, \"notas"+i+"\", \"msjCharN"+i+"\");remAttr(this)'></textarea><div id='msjCharN"+i+"' class='errMsj warMsj'>&nbsp;Máximo 250 caracteres.</div><div id='Enotas"+i+"' class='errMsj'>&nbsp;</div></div><input type='hidden' id='id_beneficiario"+i+"' name='id_beneficiario"+i+"' class='idB' value='"+id+"'/></div>").appendTo(divBit);
	i=parseInt(i)+1;
	$('#i').val(i);
	$('#beneficiario').val(0);
}
function combos(){	
	$("#id_segmento option:selected").each(function () {
		elegido=$(this).val();
		$.post("../../php/combo_familias_seg.php", { elegido: elegido }, function(data){
			$("#id_familia_seg").html(data);
		});     
	});	
}