<?php
require_once 'Proxies/Proxy.php';
class ProxyAtencion extends Proxy{

    public function __construct()
    {
      parent::__construct();
    }
    
    public function getTotalBeneficiariosToshi($year){
      $this->contenidoConsulta="SELECT *FROM beneficiarios WHERE Year(beneficiarios.fecha_alta)<=".$year;   
      $this->consulta($this->contenidoConsulta);
    }

    public function getTotalBeneficiariosActuales($year){
      $this->contenidoConsulta="SELECT *FROM beneficiarios WHERE Year(beneficiarios.fecha_alta)<=".$year."  && beneficiarios.id_estatus!=4";
      $this->consulta($this->contenidoConsulta);
    }

    public function getTotalBeneficiariosActualesFalsos($year){
      $this->contenidoConsulta="SELECT *FROM beneficiarios JOIN egresos ON egresos.id_beneficiario=beneficiarios.id where Year(beneficiarios.fecha_alta)<=".$year." && beneficiarios.id_estatus=4 && Year(egresos.fecha_egreso)>".$year;
      $this->consulta($this->contenidoConsulta);
    }

    public function getTotalBeneficiariosEgresados($year){
      $this->contenidoConsulta="SELECT  *from beneficiarios JOIN egresos on egresos.id_beneficiario=beneficiarios.id where Year(beneficiarios.fecha_alta)<=".$year."  && beneficiarios.id_estatus=4 && Year(egresos.fecha_egreso)<=".$year; 
      $this->consulta($this->contenidoConsulta);
    }
    public function getTotalBeneficiariosEgresadosPorYear($year){
      $this->contenidoConsulta="SELECT  *from beneficiarios JOIN egresos on egresos.id_beneficiario=beneficiarios.id where Year(beneficiarios.fecha_alta)<=".$year."  && beneficiarios.id_estatus=4 && Year(egresos.fecha_egreso)=".$year; 
      $this->consulta($this->contenidoConsulta);
    }

    public function getResultado(){
      return $this->getResultados();
    }

    public function getEstadoConsulta(){
      return $this->getEstado();
    }

}


