<?php
if(isset($_GET['excel_si'])){
  header('Access-Control-Allow-Origin: *');
  header("Content-type: application/vnd.ms-excel; name='excel'; charset=utf-8");
  header("Content-Disposition: attachment; filename=excelIndicadores.xls");
  header("Pragma: no-cache");
  header("Expires: 0");
  header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
  header("Cache-Control: private",false);
  
};

//error_reporting(0);


include("conexion.php");
include("phpScripts.php");
require_once '../php/factories/FactoryIndicadores.php';
if (isset($_GET['pagina'])) {
  $_GET['excel_si']=1;
  $fabrica = new  FactoryIndicadores();
  $atencion = $fabrica->getFabricaIndicadores('Atencion');
  $atencion->informacion(explode(",", $_GET['years']));
  $resultado = $atencion->getResultado();
  $resultado = array(explode(",", $_GET['years']), $resultado); // tenemos los del dif
  $con=conectar();	
  $inicio_temp=0;
  $dif=[];
//  echo $_GET['years'];
  foreach (explode(",", $_GET['years']) as $value) {
    $query="SELECT *FROM indicadores_dif WHERE id_year_pk =".$value;
    $sql=consulta_reg_while($con,$query);	
    $sql=mysqli_fetch_array($sql);
    array_push($dif,$sql);
  }


  $consulta="";
  try{
    $sql=consulta_reg_while($con,$query);		
    $mensaje="SE MODIFICO EL REGISTRO";

  }catch(Exception $e){
    $mensaje="Error no se pudo modificar el registro";

  }


  switch ($_GET['pagina']) {
    case '1'://Atención por rangos de edad
      require_once 'print/gestion/printResultadoAtencionDos.php';
      break;

    case '2'://Atención por tiempo de estancia
      $datos_atencion = $atencion->getTotalBeneficiarios();
      $arreglo_year_tiempos=array();
      $arreglo_tiempo=array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);
      $contador_i=0;
      foreach ($datos_atencion as $valor_temp) { //  valor_temp= [ array, array] 
        $days_totales=0;
        foreach ($valor_temp as $value) { //array
          //  echo var_dump($value);
          foreach ($value as $key) {
           // echo $key['fecha_alta'];

            $fecha1 = new DateTime($key['fecha_alta']);
            $fecha2 = new DateTime($_POST['years'][$contador_i]."-12-31");
            $diff = $fecha1->diff($fecha2);
            $arreglo_tiempo=acomodoTiempo($arreglo_tiempo,$diff->days+1);// es el total de dias 
            $days_totales=$days_totales+$diff->days+1;
          }
        }
        $arreglo_tiempo[17]=$days_totales;
        array_push($arreglo_year_tiempos,$arreglo_tiempo);
        $arreglo_tiempo=array(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);
        $contador_i=$contador_i+1;
        
      }
//      echo var_dump($arreglo_year_tiempos);
      
      require_once 'print/gestion/printResultadoAtencionUno.php';
      break;

    case '3'://Soluciones de vida
      $fechas_egresos_lan=[];
      $fechas_egresos_dif=[];
      $reintegraciones_d=[];
      $traslados_d=[];
      $adopcion_d=[];

      foreach (explode(",", $_GET['years']) as $value) {
        $query="  SELECT  COUNT(*)  FROM egresos WHERE YEAR(fecha_egreso) = ".$value. " and tipo_egreso='Adopción'";
       
        $sql=consulta_reg_while($con,$query);	
        $sql=mysqli_fetch_array($sql);
        array_push($fechas_egresos_lan,$sql);
      }

      foreach (explode(",", $_GET['years']) as $value) {
        $query="  SELECT  COUNT(*)  FROM egresos WHERE YEAR(fecha_egreso) = ".$value. " and tipo_egreso='Reintegración'";
       
        $sql=consulta_reg_while($con,$query);	
        $sql=mysqli_fetch_array($sql);
        array_push($reintegraciones_d,$sql);
      }

      foreach (explode(",", $_GET['years']) as $value) {
        $query="  SELECT  COUNT(*)  FROM egresos WHERE YEAR(fecha_egreso) = ".$value. " and tipo_egreso='Traslado Externo'";
       
        $sql=consulta_reg_while($con,$query);	
        $sql=mysqli_fetch_array($sql);
        array_push($traslados_d,$sql);
      }

      
   //   echo var_dump($fechas_egresos_lan[0][0]);

      foreach (explode(",", $_GET['years']) as $value) {
        $query="  SELECT * FROM sol_vida_dif WHERE id_year_pk= ".$value;
        $sql=consulta_reg_while($con,$query);	
        $sql=mysqli_fetch_array($sql);
        array_push($fechas_egresos_dif,$sql);
      }
    //  echo var_dump($fechas_egresos_dif[0]);
    
      require_once 'print/gestion/printResultadoAtencionTres.php';
      break;
  case '4':
    $fabrica = new  FactoryIndicadores();
    $atencion = $fabrica->getFabricaIndicadores('Atencion');
    $atencion->informacion(explode(',', $_GET['years']));
    $resultado = $atencion->getResultado();
    $resultado = array(explode(',', $_GET['years']), $resultado);
    // echo var_dump($resultado[1][1][0]["e0"]); 
    header("Content-type: application/vnd.ms-excel; name='excel'; charset=utf-8");
    header("Content-Disposition: attachment; filename=indicadores_excel.xls");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
    header("Cache-Control: private", false);
    echo '<head><meta charset="UTF-8"></head>';
    require_once 'print/gestion/printResultadoAtencion.php';
  

      break;
    default:
      # code...
      break;
  }

} else {
  echo '<div class="alert alert-warning" role="alert">
    Algo salio mal, vuelve a intentar
  </div>';
}



function total_tiempo($arreglo_tmp){
  $r=$arreglo_tmp;
  $r[17]= $r[0]*1 + $r[1]*1 + $r[2]*2 + $r[3]*3 + $r[4]*4 + $r[5]*5 + $r[6]*6 + $r[7]*7 + $r[8]*8 + $r[9]*9 + $r[10]*10 + $r[11]*11 + $r[12]*12 + $r[13]*13 + $r[14]*14 + $r[15]*16;
  return $r;
}

function acomodoTiempo($arreglo_tmp,$dias){
  $r=$arreglo_tmp;
  if($dias<365){//0
      $r[0]=$r[0]+1;   
  }elseif($dias>=365 && $dias<730){//1
     $r[1]=$r[1]+1;
  }elseif($dias>=730 && $dias<1095){//2
     $r[2]=$r[2]+1;
  }elseif($dias>=1095 && $dias<1460){//3
     $r[3]=$r[3]+1;
  }elseif($dias>=1460 && $dias<1825){//4
     $r[4]=$r[4]+1;
  }elseif($dias>=1825 && $dias<2190){//5
     $r[5]=$r[5]+1;
  }elseif($dias>=2190 && $dias<2555){//6
     $r[6]=$r[6]+1;
  }elseif($dias>=2555 && $dias<2920){//7
     $r[7]=$r[7]+1;
  }elseif($dias>=2920 && $dias<3285){//8
     $r[8]=$r[8]+1;
  }elseif($dias>=3285 && $dias<3650){//9
     $r[9]=$r[9]+1;
  }elseif($dias>=3650 && $dias<4015){//10
     $r[10]=$r[10]+1;
  }elseif($dias>=4015 && $dias<4380){//11
     $r[11]=$r[11]+1;
  }elseif($dias>=4380 && $dias<4745){//12
     $r[12]=$r[12]+1;
  }elseif($dias>=4745 && $dias<5110){//13
     $r[13]=$r[13]+1;
  }elseif($dias>=5110 && $dias<5475){//14
     $r[14]=$r[14]+1;
  }elseif($dias>=5475 && $dias<5840){//15
    $r[15]=$r[15]+1;
  }else{//16 o más
    $r[16]=$r[16]+1;
  }
  return $r;
}
//echo var_dump($_POST);

//echo $_POST['pagina'];
//var_dump( $_POST['years']);Z