<?php error_reporting(0);
header('Access-Control-Allow-Origin: *');

$login = '../../';
require_once("../../config/configuracion.php");
include("../../php/safe_session.php");
include("../../php/conexion.php");
include("../../php/phpScripts.php");
$tu = $_SESSION['id_tipo_us'];
if ($tu != 1 && $tu != 4 && $tu != 3 && $tu != 2) {
    header("Location: ../../inicio.php");
}    ?>
<!DOCTYPE html>
<html lang="es">
<!-- InstanceBegin template="/Templates/main.dwt.php" codeOutsideHTMLIsLocked="false" -->

<head>
    <title>Indicadores | LAN</title>
    <?php require_once '../../templates/head.php' ?>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">

    <style type="text/css">
        .nav-link-dos {
            color: black !important;
        }

        .formulario_texto {
            min-height: -webkit-fill-available;
        }
    </style>
</head>

<style type="text/css">
    .nav-link-dos {
        color: black !important;
    }
</style>


<body>

    <!-- InstanceBeginEditable name="divs-layers" -->
    <div id="loading"></div>
    <!-- InstanceEndEditable -->
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-dark mb-4">
        <div class="container">
            <a class="navbar-brand" href="../../inicio.php"><img src="../../images/logo-blanco-amarillo.png" /></a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarNavDropdown">

                <!-- Left nav -->

                <?php require_once('../../templates/nav.php') ?>
            </div>
        </div>
    </nav>





    <nav class="container mb-4 px-3">
        <div class="nav nav-tabs" id="nav-tab" role="tablist">
            <a class="nav-item nav-link nav-link-dos active" id="nav-home-tab" data-toggle="tab" href="#nav-home" role="tab" aria-controls="nav-home" aria-selected="true">Registro de población atendida por el DIF Estatal de Queretaro</a>
            <a class="nav-item nav-link nav-link-dos" id="nav-profile-tab" data-toggle="tab" href="#nav-profile" role="tab" aria-controls="nav-profile" aria-selected="false">Registros de Adopciones DIF</a>
        </div>
    </nav>
    <div class="tab-content" id="nav-tabContent">
        <div class="tab-pane fade show active" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">


            <div class="container">
                <form id="formulario_indicador" method="post">
                    <div class="form-row">


                        <div class="col">
                            <div class="input-group mb-3">
                                <input type="text" name="tipo_indicador" class="form-control formulario_texto" placeholder="Ingresa el tipo de indicador">
                                <div class="input-group-append">
                                    <span class="input-group-text" id="basic-addon3">Tipo de indicador</span>
                                </div>
                            </div>
                        </div>


                        <div class="col">
                            <div class="input-group mb-3">
                                <input type="number" min="1000" step="1" value="2000" name="tiempo" class="form-control" placeholder="Ingresa el año">
                                <div class="input-group-append">
                                    <span class="input-group-text" id="basic-addon2">Año de registro </span>
                                </div>
                                <button type="button" class="btn btn-primary btn-sm ml-2" onclick="registrarIndicador();">Crear Registro </button>
                            </div>
                        </div>


                    </div>
                </form>
            </div>

            <div class="container" id='contenidoConsulta'>


            </div>
        </div>






        <div class="tab-pane fade" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">

            <form id="formulario_adopcion" class="container" method="post">
                <div class="form-row">

                    <div class="col">
                        <div class="input-group mb-3">
                            <input type="number" min="1000" step="1" value="2000" name="tiempo" class="form-control" placeholder="Ingresa el año">
                            <div class="input-group-append">
                                <span class="input-group-text" id="basic-addon2-adopcion">Año de registro </span>
                            </div>
                            <button type="button" class="btn btn-primary btn-sm ml-2" onclick="registrarAdopcion();">Crear Registro </button>
                        </div>
                    </div>


                </div>
            </form>

            <div class="container" id='contenidoConsultaAdopcion'>


            </div>
        </div>
    </div>






</body>
<?php require_once('../../templates/footer.php') ?>
<script src="../../js/gestion.js"></script>
<script src="../../config/configuracion.js"></script>

</html>